<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_ArticleBrowser.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_ArticleBrowser" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<script type="text/javascript">
    function tvCategoriesNodeSelect(node)
    { 
         $("#<%=imgAddNewContent.ClientID %>").show();
         $("#<%=btnAddNewContent.ClientID %>").show();
		  <%=tvCategoriesCallback.ClientID%>.Callback(node.Value);
    }

    function myDoPostback(arg1, arg2)
    {
      __doPostBack(arg1, arg2);
      return false;
    }
    
    function myDoPostback_View(arg1, arg2)
    {
      __doPostBack(arg1, arg2);
      return false;
    }

    $(document).ready(function () {
        $("#<%=imgAddNewContent.ClientID %>").hide();
        $("#<%=btnAddNewContent.ClientID %>").hide();

    });


</script>
<asp:Panel ID="pnlOptions" HorizontalAlign="Center" runat="server">
    <componentart:CallBack ID="tvCategoriesCallback" runat="server">
        <Content>
            <asp:PlaceHolder runat="server" ID="PlaceHolder1">
                <div class="art-br-cat">
                    <strong>Categories  </strong>
                </div>
                <div>
                    <div class="artbr-tree" >
                    
                        <componentart:TreeView ID="tvCategories" runat="server" AutoScroll="true" BorderWidth="1px"
                                    BorderStyle="Solid" ClientSideOnNodeCheckChanged="tvCategoriesNodeSelect" NodeCssClass="TreeNode"
                                    SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode" LineImageWidth="19"
                                    LineImageHeight="20" ShowLines="True" EnableViewState="false" LineImagesFolderUrl="Images/treeview/images/lines"
                                    CssClass="TreeView">
                                </componentart:TreeView>
                    </div>
                    <div class="artbr-grid">
                        <asp:Image ID="imgAddNewContent" runat="server" AlternateText="" ImageUrl="~/images/add.gif">
                            </asp:Image><asp:LinkButton ID="btnAddNewContent" runat="server" CssClass="CommandButton"
                                CausesValidation="false" resourcekey="btnAddNewContent">Add new</asp:LinkButton><br />
                            
                            <componentart:Grid ID="grdArticleList" Sort="CreatedDate DESC" runat="server" CssClass="Grid"
                                ImagesBaseUrl="~/desktopmodules/DNNMasters.CB.ArticleBrowser/Images/grid/images"
                                PagerTextCssClass="PagerText" PagerImagesFolderUrl="~/desktopmodules/DNNMasters.CB.ArticleBrowser/Images/grid/images/pager"
                                RunningMode="Server" FooterCssClass="GridFooter" FillContainer="true" AllowPaging="true"
                                AutoPostBackOnSelect="False" GroupBy="" ShowHeader="true" SearchTextCssClass="GridHeaderText"
                                HeaderCssClass="GridHeader" GroupByCssClass="GroupByCell" GroupByTextCssClass="GroupByText"
                                GroupingPageSize="5" PreExpandOnGroup="false" TreeLineImagesFolderUrl="~/desktopmodules/DNNMasters.CB.ArticleBrowser/Images/grid/images/lines/"
                                TreeLineImageWidth="22" TreeLineImageHeight="19" IndentCellWidth="22" GroupingNotificationTextCssClass="GridHeaderText"
                                GroupBySortAscendingImageUrl="group_asc.gif" GroupBySortDescendingImageUrl="group_desc.gif"
                                GroupBySortImageWidth="10" GroupBySortImageHeight="10" Width="500px" EnableViewState="false">
                                <ServerTemplates>
                                    <componentart:GridServerTemplate ID="linkButtonTemplate">
                                        <Template>
                                            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# ReturnArticleEditUrl(Container.DataItem["ArticleID"].ToString()) %>'
                                                ToolTip="Edit Article">
                                                <asp:Image runat="server" AlternateText="View Article" ID="Image2" ImageUrl="~/images/edit.gif"
                                                    Style="width: auto"></asp:Image></asp:HyperLink>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="linkButtonViewTemplate">
                                        <Template>
                                            <asp:HyperLink ID="HyperLink2" runat="server" NavigateUrl='<%# ReturnArticleViewUrl(Container.DataItem["ArticleID"].ToString()) %>'
                                                ToolTip="View Article">
                                                <asp:Image runat="server" AlternateText="View Article" ID="Image2" ImageUrl="~/images/view.gif"
                                                    Style="width: auto"></asp:Image></asp:HyperLink>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="linkButtonAddRelated">
                                        <Template>
                                            <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%# ReturnRelatedArticleManageUrl(Container.DataItem["ArticleID"].ToString()) %>'
                                                ToolTip="Related Articles"><img src='<%# ControlPath %>/images/related.png' alt=""/></asp:HyperLink>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="linkButtonPhotos">
                                        <Template>
                                            <asp:HyperLink ID="HyperLink3" runat="server" NavigateUrl='<%# ReturnArticlePhotosUrl(Container.DataItem["ArticleID"].ToString()) %>'
                                                ToolTip="Edit Article's Photos">
                                                <img src='<%# ControlPath %>/images/photos.png' alt=""/></asp:HyperLink>
                                            </asp:HyperLink>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="stFeatured">
                                        <Template>
                                            <asp:Image runat="server" AlternateText="Featured" ID="Image3" ImageUrl='<%# FeaturedImagePath( Container.DataItem["IsFeatured"].ToString() )%>'
                                                Style="width: auto"></asp:Image>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="stNew">
                                        <Template>
                                            <asp:Image runat="server" AlternateText="New" ID="Image4" ImageUrl='<%# NewImagePath( Container.DataItem["IsNew"].ToString() )%>'
                                                Style="width: auto"></asp:Image>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="stApproved">
                                        <Template>
                                            <asp:Image runat="server" AlternateText="Approved" ID="Image5" ImageUrl='<%# ApprovedImagePath( Container.DataItem["Approved"].ToString() )%>'
                                                Style="width: auto"></asp:Image>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="stRequiredAuth">
                                        <Template>
                                            <asp:Image runat="server" AlternateText="Subscriber" ID="Image6" ImageUrl='<%# RequiredAuthImagePath( Container.DataItem["RequiredAuth"].ToString() )%>'
                                                Style="width: auto"></asp:Image>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="stPublished">
                                        <Template>
                                            <asp:Image runat="server" AlternateText="Published" ID="Image7" ImageUrl='<%# PublishedImagePath( Container.DataItem["Published"].ToString() )%>'
                                                Style="width: auto"></asp:Image>
                                        </Template>
                                    </componentart:GridServerTemplate>
                                    <componentart:GridServerTemplate ID="stTitle">
                                        <Template>
                                            <%# ReturnArticleTitle( Container.DataItem["Title"].ToString() )%>
                                            
                                        </Template>
                                    </componentart:GridServerTemplate>
                                </ServerTemplates>
                                <Levels>
                                    <componentart:GridLevel SelectorImageUrl="selector.gif" DataKeyField="ArticleID"
                                        SelectedRowCssClass="SelectedRow" DataCellCssClass="DataCell" HeadingSelectorCellCssClass="SelectorCell"
                                        HeadingTextCssClass="HeadingCellText" HeadingCellCssClass="HeadingCell" SelectorImageHeight="15"
                                        SelectorCellWidth="18" HeadingRowCssClass="HeadingRow" SelectorImageWidth="17"
                                        SelectorCellCssClass="SelectorCell" RowCssClass="Row" ShowTableHeading="false"
                                        ShowSelectorCells="false" ColumnReorderIndicatorImageUrl="reorder.gif" HeadingCellHoverCssClass="HeadingCellHover"
                                        HeadingCellActiveCssClass="HeadingCellActive" GroupHeadingCssClass="GroupHeading"
                                        SortAscendingImageUrl="asc.gif" SortDescendingImageUrl="desc.gif" SortImageWidth="10"
                                        SortImageHeight="19">
                                        <Columns>
                                            <componentart:GridColumn Visible="False" DataField="ArticleID"></componentart:GridColumn>
                                            <componentart:GridColumn DataCellServerTemplateId="linkButtonTemplate" Width="20">
                                            </componentart:GridColumn>
                                            <componentart:GridColumn DataCellServerTemplateId="linkButtonViewTemplate" Width="20">
                                            </componentart:GridColumn>
                                            <componentart:GridColumn DataCellServerTemplateId="linkButtonAddRelated" Width="20">
                                            </componentart:GridColumn>
                                            <componentart:GridColumn DataCellServerTemplateId="linkButtonPhotos" Width="20" >
                                            </componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Created" FormatString="MMM dd yyyy, hh:mm tt"
                                                DataField="CreatedDate" Width="45" DefaultSortDirection="Descending"></componentart:GridColumn>
                                            <componentart:GridColumn DataCellServerTemplateId="stTitle" HeadingText="Title" TextWrap="True"  DataField="Title" Width="105">
                                            </componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Authors" DataField="Authors" Width="45"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Featured" DataField="IsFeatured" Width="29"
                                                Align="Center" Visible="False"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Featured" DataCellServerTemplateId="stFeatured"
                                                Width="29" Align="Center"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="New" DataField="IsNew" Width="15" Align="Center"
                                                Visible="False"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="New" DataCellServerTemplateId="stNew" Width="20"
                                                Align="Center"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Approved" DataField="Approved" Width="0" Align="Center"
                                                Visible="False"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Approved" DataCellServerTemplateId="stApproved"
                                                Width="29" Align="Center"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Published" DataField="Published" Width="29"
                                                Align="Center" Visible="False"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Published" DataCellServerTemplateId="stPublished"
                                                Width="29" Align="Center"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Subscriber" DataField="RequiredAuth" Width="29"
                                                Align="Center" Visible="False"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Subscriber" DataCellServerTemplateId="stRequiredAuth"
                                                Width="29" Align="Center"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Subscriber" DataField="CanEditArticle" Align="Center"
                                                Visible="False"></componentart:GridColumn>
                                            <componentart:GridColumn HeadingText="Subscriber" DataField="CanViewArticle" Align="Center"
                                                Visible="False"></componentart:GridColumn>
                                        </Columns>
                                    </componentart:GridLevel>
                                </Levels>
                            </componentart:Grid>
                    
                    </div>
                </div>

            </asp:PlaceHolder>
        </Content>
    </componentart:CallBack>
    <componentart:CallBack ID="grdArticleListCallback" runat="server">
    </componentart:CallBack>
</asp:Panel>
