<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI" Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="CB_ContentEdit.ascx.cs" Inherits="DNNMasters.ContentBuilder.CB_ContentEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="dnn" TagName="label" Src="~/controls/LabelControl.ascx"%>
<%@ Register TagPrefix="dnn" TagName="URL" Src="~/controls/URLControl.ascx" %>

<script runat="server">

  protected void chbIsNew_CheckedChanged(object sender, EventArgs e)
  {

  }
</script>

<script type="text/javascript">
    // Handles the TreeView node select event 
    function TreeViewNodeSelect(node)
    { 
      <%=TreeViewCallback.ClientID%>.Callback(node.Value);
    }

    function AuthorsNodeCheck(node)
    { 
      <%=AuthorsCallback.ClientID%>.Callback(node.Value);
    }
    
</script>





<table style="width: 616px;">
  <tr>
    <td valign="top">
      <table cellspacing="1" cellpadding="1" width="80%" border="0">
        <tr>
          <td class="SubHead">Categories</td>
        </tr>
        <tr>
          <td>
            <componentart:callback id="TreeViewCallback" Height="48px" Width="40px" runat="server">
              <Content>
                <asp:PlaceHolder Runat="server" ID="PlaceHolder1">
                      <COMPONENTART:TREEVIEW id="tvCategories" ClientSideOnNodeCheckChanged="TreeViewNodeSelect" NodeCssClass="TreeNode"
                          SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20"
                          ShowLines="True" EnableViewState="false" LineImagesFolderUrl="Images/treeview/images/lines" Height="120px"
                          Width="98%" runat="server" CssClass="TreeView"></COMPONENTART:TREEVIEW>
                </asp:PlaceHolder>
              </Content>                        
            </componentart:callback>    
          </td>
        </tr>
        <tr>
          <td class="SubHead">Authors</td>
        </tr>
        <tr>
          <td><COMPONENTART:TREEVIEW id="tvAuthors" ClientSideOnNodeCheckChanged="AuthorsNodeCheck" NodeCssClass="TreeNode"
              SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode" LineImageWidth="19" LineImageHeight="20"
              ShowLines="True" EnableViewState="false" LineImagesFolderUrl="Images/treeview/images/lines" 
              Width="200px" runat="server" CssClass="TreeView">
              <Templates>
                <ComponentArt:NavigationCustomTemplate id="RenderHtml">

                   <Template>
                      <%# Container.Attributes["Text"] %>
                   </Template>
                </ComponentArt:NavigationCustomTemplate>
              </Templates>              
              
              </COMPONENTART:TREEVIEW></td>
        </tr>
      </table>
      <componentart:callback id="AuthorsCallback" runat="server" Width="40px" Height="48px"></componentart:callback></td>
    <td valign="top">
      <table id="Table2" border="0">
        <tr>
          <td></td>
          <td style="width: 80%">
            <asp:Label id="lblErrorMessage" CssClass="NormalRed" runat="server">Label</asp:Label></td>
        </tr>
        <tr>
          <td><label class="subhead" 
            for="<%=txtTitle.ClientID%>">Title:</label></td>
          <td style="width: 80%"><asp:textbox id="txtTitle" Width="80%" runat="server" CssClass="Normal" textmode="MultiLine"
              Visible="True">Article title</asp:textbox></td>
        </tr>
        <tr>
          <td><label class="subhead">Created by</label></td>
          <td style="width: 80%"><asp:label id="lblCreatedBy" runat="server"></asp:label>&nbsp;(
            <asp:label id="lblCreatedDate" runat="server"></asp:label>)</td>
        </tr>
        <tr>
          <td></td>
          <td style="width: 80%">
            <table id="Table22" style="BORDER-COLLAPSE: collapse" cellSpacing="0" cellPadding="5" border="0">
              <tr>
                <td style="WIDTH: 28px" valign="top"><label class="SubHead"><label class="SubHead">Created 
                      Date:</label></label></td>
                <td style="WIDTH: 96px" valign="top"><label class="SubHead"><label class="SubHead">
                      <asp:textbox id="txtCreatedDate" CssClass="NormalTextBox" runat="server" Width="115px" BackColor="#E0E0E0"></asp:textbox></label></label></td>
                <td style="WIDTH: 17px" valign="top"><label class="SubHead">
                      <asp:ImageButton id="cmdCreatedDate" runat="server" ImageUrl="images/calendar.gif"></asp:ImageButton>
                  </label>
                </td>
              </tr>
              <tr>
                <td style="WIDTH: 189px" valign="top" colspan="3">
                  <asp:CompareValidator id="valCreatedDateFrom" CssClass="NormalRed" runat="server" Type="Date" Operator="DataTypeCheck"
                    ErrorMessage="Invalid date !" ControlToValidate="txtCreatedDate" resourcekey="valCreatedDateFrom"></asp:CompareValidator></td>
              </tr>
              <tr>
                <td style="WIDTH: 189px" colspan="3">
                  <asp:Calendar id="calCreatedDate" runat="server" Width="200px" Height="180px" Visible="False"
                    BackColor="White" Font-Names="Verdana" Font-Size="8pt" DayNameFormat="FirstLetter" CellPadding="4"
                    BorderColor="#999999" ForeColor="Black">
                    <TodayDayStyle ForeColor="Black" BackColor="#CCCCCC"></TodayDayStyle>
                    <SelectorStyle BackColor="#CCCCCC"></SelectorStyle>
                    <NextPrevStyle VerticalAlign="Bottom"></NextPrevStyle>
                    <DayHeaderStyle Font-Size="7pt" Font-Bold="True" BackColor="#CCCCCC"></DayHeaderStyle>
                    <SelectedDayStyle Font-Bold="True" ForeColor="White" BackColor="#666666"></SelectedDayStyle>
                    <TitleStyle Font-Bold="True" BorderColor="Black" BackColor="#999999"></TitleStyle>
                    <WeekendDayStyle BackColor="#FFFFCC"></WeekendDayStyle>
                    <OtherMonthDayStyle ForeColor="Gray"></OtherMonthDayStyle>
                  </asp:Calendar></td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td valign="top"><label class="subhead" >Description:</label></td>
          <td style="width: 80%">
            <dnn:texteditor id="teDescription" runat="server" height="450px" width="481px"></dnn:texteditor>
          </td>
        </tr>
        <tr>
          <td valign="top">
            Thumbnail Image:
          </td>
          <td style="width: 80%">
            <dnn:url id="urlImageURL" runat="server" ShowLog="False" ShowTabs="False" ShowTrack="False"
              ShowUrls="True" width="300">
            </dnn:url></td>
        </tr>
        <tr>
          <td valign="top">
            External Url:</td>
          <td style="width: 80%">
            <dnn:url id="urlExternal" runat="server" ShowFiles="False" ShowLog="False" ShowTabs="False"
              ShowTrack="False" ShowUrls="True" width="300" ShowNewWindow="True">
            </dnn:url></td>
        </tr>
        <tr>
          <td valign="top">
            External URL Text:</td>
          <td style="width: 80%">
            <asp:TextBox ID="txtExternalLink" runat="server" Columns="30" MaxLength="50"></asp:TextBox></td>
        </tr>
        <tr>
          <td valign="top"><label class="subhead" >Editor note:</label></td>
          <td style="width: 80%">
            <dnn:texteditor id="textEditorNote" runat="server" height="450px" width="481px"></dnn:texteditor>
          </td>
        </tr>        
        <tr>
          <td></td>
          <td class="normal"><asp:checkbox id="chkRequiredAuth" Text="Full content available for subscribers only - enter public content (teaser) in first textbox and subscription content in second textbox. If content is to be public, please uncheck the checkbox (this will remove the *locked* icon from articles list) and enter article body in the first textbox only."
              Checked="True" Runat="server"></asp:checkbox></td>
        </tr>
        <tr>
          <td><label class="subhead" 
            for="<%=rblEditor.ClientID%>">Editor:</label></td>
          <td class="normal"><asp:radiobuttonlist id="rblEditor" Width="152px" runat="server" CssClass="Normal" AutoPostBack="True"
              RepeatColumns="2">
              <asp:ListItem Value="0" Selected="True">Rich Text</asp:ListItem>
              <asp:ListItem Value="1">Text</asp:ListItem>
            </asp:radiobuttonlist></td>
        </tr>
        <tr>
          <td></td>
          <td class="normal"><asp:checkbox id="chbApproved" runat="server" CssClass="NormalBold" Text="Approved"></asp:checkbox></td>
        </tr>
        <tr>
          <td class="normal"><asp:checkbox id="chbIsFeatured" runat="server" CssClass="NormalBold" Text="Is Featured"></asp:checkbox></td>
          <td>
            <table id="tblOther" cellSpacing="2" cellPadding="2" summary="Appearance Design Table"
								border="0" runat="server">
								<TR>
									<TD class="SubHead" vAlign="top" width="150">
										<dnn:label id="plIsFeaturedExpiryDate" runat="server" text="Expiry Date:" controlname="txtIsFeaturedExpiryDate"></dnn:label></TD>
									<TD>
										<asp:textbox id="txtIsFeaturedExpiryDate" cssclass="NormalTextBox" runat="server" maxlength="11" width="120"
											columns="30"></asp:textbox>&nbsp;
										<asp:hyperlink id="cmdIsFeaturedExpiryDateCalendar" cssclass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:hyperlink>
										<asp:CompareValidator id="valtxtIsFeaturedExpiryDate" resourcekey="valtxtIsFeaturedExpiryDate.ErrorMessage" Operator="DataTypeCheck"
											Type="Date" ErrorMessage="<br>Invalid Date" Runat="server" Display="Dynamic" ControlToValidate="txtIsFeaturedExpiryDate"></asp:CompareValidator>
								  </TD>
								</TR>
            </table>
          </td>
        </tr>
        <tr>
          <td class="normal"><asp:checkbox id="chbIsNew" runat="server" CssClass="NormalBold" Text="Is New" OnCheckedChanged="chbIsNew_CheckedChanged"></asp:checkbox></td>
          <td>
            <table id="Table4" cellSpacing="2" cellPadding="2" summary="Appearance Design Table"
								border="0" runat="server">
								<TR>
									<TD class="SubHead" vAlign="top" width="150">
										<dnn:label id="plIsNewExpiryDate" runat="server" text="Expiry Date:" controlname="txtIsNewExpiryDate"></dnn:label></TD>
									<TD>
										<asp:textbox id="txtIsNewExpiryDate" cssclass="NormalTextBox" runat="server" maxlength="11" width="120"
											columns="30"></asp:textbox>&nbsp;
										<asp:hyperlink id="cmdIsNewExpiryDateCalendar" cssclass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:hyperlink>
										<asp:CompareValidator id="valtxtIsNewExpiryDate" resourcekey="valtxtIsNewExpiryDate.ErrorMessage" Operator="DataTypeCheck"
											Type="Date" ErrorMessage="<br>Invalid Date" Runat="server" Display="Dynamic" ControlToValidate="txtIsNewExpiryDate"></asp:CompareValidator>
								  </TD>
								</TR>
            </table>
          </td>
        </tr>
        <tr>
          <td class="normal">
            <asp:CheckBox ID="chbIsVideo" runat="server" CssClass="NormalBold" Text="Is Video" /></td>
          <td>
          </td>
        </tr>
        <tr>
          <td><asp:checkbox id="chbPublished" runat="server" CssClass="NormalBold" Text="Published"></asp:checkbox></td>
          <td class="normal">&nbsp;</td>
        </tr>
        
        <tr>
          <td class="normal">
            <table id="Table6" cellSpacing="2" cellPadding="2" summary="Appearance Design Table"
								border="0" runat="server">
								<TR>
									<TD class="SubHead" vAlign="top" width="150">
										<dnn:label id="plStartPublishing" runat="server" text="Start Publishing:" controlname="txtStartPublishing"></dnn:label></TD>
									<TD>
										<asp:textbox id="txtStartPublishing" cssclass="NormalTextBox" runat="server" maxlength="11" width="120"
											columns="30"></asp:textbox>&nbsp;
										<asp:hyperlink id="cmdStartPublishing" cssclass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:hyperlink>
										<asp:CompareValidator id="valStartPublishing" resourcekey="valStartPublishing.ErrorMessage" Operator="DataTypeCheck"
											Type="Date" ErrorMessage="<br>Invalid Date" Runat="server" Display="Dynamic" ControlToValidate="txtStartPublishing"></asp:CompareValidator>
								  </TD>
								</TR>
            </table>
          </td>
          <td>
            <table id="Table5" cellSpacing="2" cellPadding="2" summary="Appearance Design Table"
								border="0" runat="server">
								<TR>
									<TD class="SubHead" vAlign="top" width="150">
										<dnn:label id="plArchiveOnDate" runat="server" text="Archive On Date:" controlname="txtArchiveOnDate"></dnn:label></TD>
									<TD>
										<asp:textbox id="txtArchiveOnDate" cssclass="NormalTextBox" runat="server" maxlength="11" width="120"
											columns="30"></asp:textbox>&nbsp;
										<asp:hyperlink id="cmdArchiveOnDate" cssclass="CommandButton" runat="server" resourcekey="Calendar">Calendar</asp:hyperlink>
										<asp:CompareValidator id="valArchiveOnDate" resourcekey="valArchiveOnDate.ErrorMessage" Operator="DataTypeCheck"
											Type="Date" ErrorMessage="<br>Invalid Date" Runat="server" Display="Dynamic" ControlToValidate="txtArchiveOnDate"></asp:CompareValidator>
								  </TD>
								</TR>
            </table>
          </td>
        </tr>
        
        
        <tr>
          <td><label class="subhead">Article's portals:</label></td>
          <td class="normal">
            <asp:CheckBoxList id="chlbxArticlesPortals" CssClass="Normal" runat="server" RepeatColumns="2" RepeatDirection="Horizontal"></asp:CheckBoxList></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td colspan="2"><asp:panel id="pnlTextContent" Visible="False" Runat="server"><label class="subhead">Enter 
          public content:</label><br />
        <br />
        <asp:TextBox id="txtPublicPart" Width="600px" Height="450px" Runat="server" rows="10" TextMode="MultiLine"></asp:TextBox>
        <br />
        <label class="subhead">Enter subscription content:</label><br />
        <br />
        <asp:TextBox id="txtSubscribersPart" Width="600px" Height="450px" Runat="server" rows="10" TextMode="MultiLine"></asp:TextBox>
      </asp:panel><br />
      <asp:panel id="pnlRichContent" Runat="server">
        <label class="subhead">Enter public content:</label><br />
        <br />
        <dnn:texteditor id="ftPublicPart" runat="server" width="100%" height="450px"></dnn:texteditor>
        <br />
        <label class="subhead">Enter subscription content:</label><br />
        <br />
        <dnn:texteditor id="ftSubscribersPart" runat="server" width="100%" height="450px"></dnn:texteditor>
      </asp:panel></td>
  </tr>
  <tr>
    <td align="center" colspan="2"><asp:linkbutton id="cmdAdd" runat="server" CssClass="CommandButton">Add</asp:linkbutton>&nbsp;
      <asp:linkbutton id="cmdUpdate" runat="server" CssClass="CommandButton">Update</asp:linkbutton>&nbsp;
      <asp:linkbutton id="cmdCancel" runat="server" CssClass="CommandButton">Cancel</asp:linkbutton>&nbsp;
      <asp:linkbutton id="cmdDelete" runat="server" CssClass="CommandButton">Delete</asp:linkbutton></td>
  </tr>
</table>

