<%@ control language="c#" autoeventwireup="false" codebehind="CB_EmailTemplateEdit.ascx.cs"
	inherits="DNNMasters.ContentBuilder.CB_EmailTemplateEdit" targetschema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ register tagprefix="dnn" tagname="label" src="~/controls/LabelControl.ascx" %>
<%@ register tagprefix="dnn" tagname="TextEditor" src="~/controls/TextEditor.ascx" %>
<asp:panel id="pnlAdmin" runat="server" visible="false" width="100%">
	<table width="100%" cellspacing="0" cellpadding="2" border="0">
		<tr>
			<td class="SubHead" style="width:150px">
				<dnn:label id="lblTemplateName" controlname="txtTemplateName" suffix=":" runat="server"
					text="Template name"></dnn:label>
			</td>
			<td>
				<asp:textbox id="txtTemplateName" runat="server" width="100%"></asp:textbox>
			</td>
		</tr>
		<tr>
			<td class="SubHead" style="width:150px">
				<dnn:label id="lblTokensLabel" suffix=":" runat="server"
	                            text="Available tokens"></dnn:label>
			</td>
			<td>
				<asp:label id="lblTokens" resourcekey="lblTokens" runat="server" cssclass="normal" width="100%"></asp:label>
			</td>
		</tr>
		<tr>
			<td class="SubHead" style="width: 150px">
				<dnn:label id="lblSubject" controlname="txtSubject" suffix=":" runat="server" text="E-mail subject">
				</dnn:label>
			</td>
			<td>
				<asp:textbox id="txtSubject" runat="server" width="100%"></asp:textbox>
			</td>
		</tr>
		<tr>
			<td class="SubHead" style="width: 150px">
				<dnn:label id="lblBodyText" controlname="editBodyText" suffix=":" runat="server"
					text="E-mail body in text"></dnn:label>
			</td>
			<td>
				<asp:textbox id="editBodyText" runat="server" width="100%" height="200px" textmode="MultiLine"></asp:textbox>
			</td>
		</tr>
		<tr>
			<td class="SubHead" style="width: 150px">
				<dnn:label id="lblBodyHtml" controlname="editBodyHtml" suffix=":" runat="server"
					text="E-mail body in Html"></dnn:label>
			</td>
			<td>
				<dnn:texteditor id="editBodyHtml" runat="server" width="100%" height="400px"></dnn:texteditor>
			</td>
		</tr>
		<tr>
			<td class="SubHead" style="width: 150px">
				<dnn:label id="lblGetDefaultTemplate" suffix=":" runat="server" text="E-mail body in Html">
				</dnn:label>
			</td>
			<td>
				<asp:button id="btnGetDefaultTemplate" resourcekey="btnGetDefaultTemplate" runat="server"
					text="Load defaults" onclick="btnGetDefaultTemplate_Click"></asp:button>
			</td>
		</tr>
	</table>
	<p>
		<asp:linkbutton id="cmdUpdate" resourcekey="cmdUpdate" cssclass="CommandButton" causesvalidation="False"
			borderstyle="none" runat="server" onclick="cmdUpdate_Click"></asp:linkbutton>
		&nbsp;&nbsp;
		<asp:linkbutton id="cmdCancel" resourcekey="cmdCancel" cssclass="CommandButton" causesvalidation="False"
			borderstyle="none" runat="server" onclick="cmdCancel_Click"></asp:linkbutton>
	</p>
</asp:panel>
