<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_SingleViewOptions.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_SingleViewOptions" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register Src="PagingControl.ascx" TagName="PagingControl" TagPrefix="uc1" %>

<script type="text/javascript">
    jQuery(function ($) {
        var setupModule = function () {
            $('#panels-settings').dnnPanels();
            $('#panels-settings .dnnFormExpandContent a').dnnExpandAll({
                targetArea: '#panels-settings'
            });
        };
        setupModule();
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
            // note that this will fire when _any_ UpdatePanel is triggered,
            // which may or may not cause an issue
            setupModule();
        });
    });
</script>

<div class="dnnForm" id="panels-settings">
    <div class="dnnFormExpandContent">
        <a href="">Expand All</a></div>
    

    <h2 id="Categories" class="dnnFormSectionHead">
        <a href="#">Categories and Articles</a></h2>
        <fieldset class="dnnClear">

<asp:UpdatePanel ID="upSearchPanel" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
    <contenttemplate>
<componentart:treeview id="tvCategories" runat="server" autoscroll="true" borderwidth="1px"
    borderstyle="Solid" nodecssclass="TreeNode"
    selectednodecssclass="HoverTreeNode" hovernodecssclass="HoverTreeNode" lineimagewidth="19"
    lineimageheight="20" showlines="True" enableviewstate="true" lineimagesfolderurl="Images/treeview/images/lines"
    cssclass="TreeView" width="250px" AutoPostBackOnNodeCheckChanged="true" >
</componentart:treeview>

<uc1:PagingControl ID="_ctlPaging" OnPaging_Click="PagingClick" OnDropDown_Change="SortBySelectedIndexChanged" FirstString="" LastString="" NextString="next page >>" PrevString="<< previous page" TotalNumberPaging="4"  runat="server" Visible="false" SelectedSorting="DATA" ShowImageButtons="false" />
<asp:Label runat="server" CssClass="" Text="&lt;p&gt;Items not found&lt;/p&gt;" Visible="false" id="_lblItemsNotFound"></asp:Label>
<asp:GridView ID="_gdvListings" runat="server" AllowPaging="false" AutoGenerateColumns="false"
     PageSize="10" DataKeyNames="ArticleID"
    Width="900" AlternatingRowStyle-CssClass="LightBGColor"
    PagerSettings-Position="TopAndBottom" GridLines="None" AllowSorting="true">
    <Columns>
        <asp:TemplateField ItemStyle-BorderStyle="none" ItemStyle-BorderWidth="0px"  HeaderText="L.p."
            HeaderStyle-HorizontalAlign="Center">
            <HeaderTemplate>
                <table cellpadding="0" cellspacing="0" border="0" width="900" height="20" style="padding-bottom:10px; border-bottom:solid 1px #104593;">
                    <tr>
                        <th style="width:185px!important;" align="left" width="185">
                        <asp:LinkButton ID="lnkSortTitle" runat="server" Text="Title" CommandName="Sort2" CommandArgument="Title"></asp:LinkButton>
                        </th><th width="10"></th>
                        <th style="width:115px!important;" align="left" width="115">
                        <asp:LinkButton ID="lnkSortCreated" runat="server" Text="Created" CommandName="Sort2" CommandArgument="CreatedDate"></asp:LinkButton>
                        </th><th width="10"></th>
                        <th style="width:115px!important;" align="left" width="115">
                        <asp:LinkButton ID="lnkSortAuthors" runat="server" Text="Authors" CommandName="Sort2" CommandArgument="Authors"></asp:LinkButton>
                        </th><th width="10"></th>
                        <th style="width:45px!important;" align="center" width="45">Use</th>
                    </tr>
                </table>
            </HeaderTemplate>
            <ItemTemplate>
                <div id="divRecord" style="cursor: default;" runat="server">
                    <table cellpadding="0" cellspacing="0" border="0" width="900">
                        <tr>
                            <td style="width:185px!important;" align="left" width="185" valign="top"><%# ReturnArticleTitle( DataBinder.Eval(Container.DataItem, "Title").ToString() )%></td><td width="10"></td>
                            <td style="width:115px!important;" align="left" width="115" valign="top"><%# DataBinder.Eval(Container.DataItem, "CreatedDate").ToString()%></td><td width="10"></td>
                            <td style="width:115px!important;" align="left" width="115" valign="top"><%# DataBinder.Eval(Container.DataItem, "Authors").ToString()%></td><td width="10"></td>
                            <td style="width:45px!important;" align="center" width="45" valign="top"> <asp:checkbox id="chkFeatured" runat="server" oncheckedchanged="chkFeatured_CheckedChanged" AutoPostBack="true" Checked='<%# Returnchecked(DataBinder.Eval(Container.DataItem, "ArticleID"))%>' />
                             </td>
                        </tr>
                        <tr><td colspan="19" height="10" style="border-bottom:solid 1px #cccccc"></td></tr>
                    </table>

                </div>
                <asp:Label ID="lblArticleID" runat="server" Text='<%# DataBinder.Eval(Container.DataItem, "ArticleID").ToString()%>' Visible="false"></asp:Label>
            </ItemTemplate>
            
            <ItemStyle Width="100%" VerticalAlign="Top" />
        </asp:TemplateField>
            
    </Columns>
</asp:GridView>
<uc1:PagingControl ID="_ctlPagingBottom" OnPaging_Click="PagingClick" OnDropDown_Change="SortBySelectedIndexChanged"  FirstString="" LastString="" NextString="next page >>" PrevString="<< previous page" TotalNumberPaging="4"  runat="server" Visible="false" SelectedSorting="DATA" ShowImageButtons="false" />

    </contenttemplate>
    <triggers>
    
        <asp:AsyncPostBackTrigger ControlID="_gdvListings" EventName="RowCommand" />
        <asp:AsyncPostBackTrigger ControlID="_ctlPaging" EventName="Paging_Click" />
        <asp:AsyncPostBackTrigger ControlID="_ctlPagingBottom" EventName="Paging_Click" />
        <asp:AsyncPostBackTrigger ControlID="_ctlPaging" EventName="DropDown_Change" />
        <asp:AsyncPostBackTrigger ControlID="_ctlPagingBottom" EventName="DropDown_Change" />
        <asp:AsyncPostBackTrigger ControlID="_gdvListings" EventName="RowUpdating" />
        <asp:AsyncPostBackTrigger ControlID="_gdvListings" EventName="RowCancelingEdit" />
        <asp:AsyncPostBackTrigger ControlID="tvCategories" EventName="NodeCheckChanged" />
        
        
        
    </triggers>
</asp:UpdatePanel>
     </fieldset>
    
    <h2 id="OtherOptions" class="dnnFormSectionHead">
        <a href="#">Other Options</a></h2>
    <fieldset class="dnnClear">
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="NameTextBox" resourcekey="chbShowTile" suffix=":" />
             <asp:CheckBox ID="chbShowTile" CssClass="Normal" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="NameTextBox" resourcekey="chbShowDate" suffix=":" />
            <asp:CheckBox ID="chbShowDate" CssClass="Normal" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="NameTextBox" resourcekey="chbShowViews" suffix=":" />
            <asp:CheckBox ID="chbShowViews" CssClass="Normal" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="NameTextBox" resourcekey="chbAuthorsOnOff" suffix=":" />
            <asp:CheckBox ID="chbAuthorsOnOff" CssClass="Normal" runat="server" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label runat="server" ControlName="NameTextBox" resourcekey="cbhShowAllAsOnePage" suffix=":" />
            <asp:CheckBox ID="cbhShowAllAsOnePage" runat="server" CssClass="Normal" Checked="False" ></asp:CheckBox>
        </div>
    </fieldset>
    <asp:CheckBox ID="chbShowComments" CssClass="Normal" runat="server" Visible="false" />
    <asp:CheckBox ID="chbShowRatings" CssClass="Normal" runat="server" Visible="false" />

    <asp:LinkButton ID="cmdUpdate" runat="server" CssClass="dnnPrimaryAction">Update</asp:LinkButton>&nbsp;&nbsp;
    <asp:LinkButton ID="cmdCancel" runat="server" CssClass="dnnSecondaryAction">Cancel</asp:LinkButton>


</div>