<%@ Import Namespace="DNNMasters.CB.Store.Utilities"%>
<%@ Control Language="c#" Codebehind="ShippingMethods.ascx.cs" Inherits="DNNMasters.CB.Store.UI.ShippingMethods" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ register src="UserControls/OrderProgressControl.ascx" tagname="OrderProgressControl" tagprefix="uc1" %>
<%@ Register TagPrefix="uc1" TagName="AddressEdit" Src="UserControls/AddressEdit.ascx" %>
<%@ Register TagPrefix="uc1" TagName="AddressDisplay" Src="UserControls/AddressDisplay.ascx" %>


<uc1:OrderProgressControl id="_ctlOrderProgressControl" runat="server"/>
<div class="CheckoutPage">
    <div class="title">
        Select Shipping Method
    </div>
    <div class="clear">
    </div>
    <div class="CheckoutData">
        <asp:Panel runat="server" ID="phSelectShippingMethod">
            <div class="ShippingOptions">
                <asp:DataList runat="server" ID="dlShippingOptions" DataKeyField="ShippingMethodId">
                    <ItemTemplate>
                        <div class="ShippingOptionItem">
                            <div class="OptionName">
                                <asp:RadioButton ID="rdShippingOption" runat="server" Checked='<%#ReturnChecked() %>' GroupName="shippingOptionGroup" />
                                <%#Server.HtmlEncode(Eval("ShippingMethodName").ToString())%>
                                <%#Server.HtmlEncode(FormatShippingOption(((ShippingOption)Container.DataItem)))%>
                                <asp:Label ID="lblShippingOption" runat="server" Text='<%# Eval("ShippingMethodId").ToString()%>' Visible="false"></asp:Label>
                            </div>
                            <div class="OptionDescription">
                                <%#Eval("ShippingMethodDescription")%>
                            </div>
                        </div>
                    </ItemTemplate>
                </asp:DataList>
                <div class="clear">
                </div>
                <div class="SelectButton">
                    <asp:Button runat="server" ID="btnNextStep" Text="Next" OnClick="btnNextStep_Click"
                        SkinID="ShippingMethodNextStepButton" />
                </div>
            </div>
            <div class="clear">
            </div>
            <div class="ErrorBlock">
                <div class="messageError">
                    <asp:Literal runat="server" ID="lError" EnableViewState="false"></asp:Literal>
                </div>
            </div>
        </asp:Panel>
        <div class="clear">
        </div>
    </div>
</div>
