<%@ Control Language="c#" CodeBehind="StoreCatListSetting.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreCatListSetting"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>

<script type="text/javascript">
    
    function _trenew_onNodeCheckChange(sender, eventArgs)
    {
    
         if (eventArgs.get_node().get_showCheckBox())
            DNNMasters.ContentBuilder.CB_RolesService.SetNodeCheckedUncheckedSettings(eventArgs.get_node().Value);
         pNode = eventArgs.get_node();
         // Get children
		 var myNodeArray = pNode.Nodes();
		 // Start recurse search
		 checkChildren(myNodeArray, pNode.ID, pNode.Checked);
         
         
//         while (pNode.get_parentNode() != null) 
//         {
//            pNode = pNode.get_parentNode();
//            pNode.set_checked(eventArgs.get_node().get_checked());
//            if (pNode.get_showCheckBox())
//                DNNMasters.ContentBuilder.CB_RolesService.SetNodeCheckedUncheckedSettings(pNode.Value);
//         }
    }
    

	//*********************************************
	//
	//  checkChildNodes([TreeViewId],"[NodeID]")
	//
	//  checks passed node and all children
	//*********************************************
	 
	// Main check function
	function checkChildNodes(TreeView,nodeID,checked) {
		// Get root node
		var rootNode = TreeView.FindNodeById(nodeID);
		  
		// Check root node
		rootNode.Checked = checked;
		rootNode.SaveState();
		  
		// Get children
		var myNodeArray = rootNode.Nodes();
		// Start recurse search
		checkChildren(myNodeArray, nodeID, checked);
		TreeView.Render();
	}
	 
	// Recursive function
	function checkChildren(childNodeArray, nodeID, checked) {
		// Loop through children
		for(var i=0; i < childNodeArray.length; i++)
		{
			// Check child nodes
			//childNodeArray[i].Checked = checked;
			childNodeArray[i].set_checked(checked);
			childNodeArray[i].SaveState();
			DNNMasters.ContentBuilder.CB_RolesService.SetNodeCheckedUncheckedSettings(childNodeArray[i].Value);
		    
			// Get child nodes
			var arChildren = childNodeArray[i].Nodes();
			// If child nodes
			if(arChildren.length > 0)
			{
			// Recurse
			checkChildren(arChildren, nodeID,checked);
			}
		}
	}    
    
</script>

<link href="<%= ModulePath %>/UserControls/module.css" type="text/css" rel="stylesheet" />


    <table>
        <tr>
            <td class="Normal" valign="top">
                <dnn:label id="lblDefaultCategory" resource="lblDefaultCategory" controlname="" suffix=":" runat="server">
                </dnn:label>
            </td>
            <td>
                <asp:DropDownList ID="_ddlDefaultCategory" runat="server" CssClass="NormalTextBox" Visible="false">
                </asp:DropDownList>
                
                <componentart:TreeView ID="_tvNew" NodeCssClass="TreeNode"  Height="140" Width="250" 
                SelectedNodeCssClass="HoverTreeNode" HoverNodeCssClass="HoverTreeNode"
                LineImageWidth="19" LineImageHeight="20" ShowLines="True" EnableViewState="false"
                LineImagesFolderUrl="~/DesktopModules/DNNMasters.CB.ArticleBrowser/Images/treeview/images/lines" runat="server" CssClass="TreeView" 
                MultipleSelectEnabled="true" DragAndDropEnabled="false" NodeEditingEnabled="false" 
                WebService="DNNMasters.ContentBuilder.CB_RolesService"
                WebServiceMethod="BuildCategoriesTreeSettings" WebServiceCustomParameter="chkRoles">
                <clientevents>
                    <NodeCheckChange EventHandler="_trenew_onNodeCheckChange" />
                </clientevents>
            </componentart:TreeView>
                
            </td>
        </tr>
    </table>

    <table>
        <tr>
            <td id="footer" class="settings_footer">
                <asp:LinkButton ID="_cmdUpdate" runat="server" resourcekey="cmdUpdate" CssClass="CommandButton">LinkButton</asp:LinkButton>&nbsp;&nbsp;
                <asp:LinkButton ID="_cmdCancel" runat="server" resourcekey="cmdCancel" CssClass="CommandButton">LinkButton</asp:LinkButton>
            </td>
        </tr>
    </table>