<%@ Control Language="c#" Codebehind="PayPalSettings.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreSettingsControls.PayPalSettings" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table id="tblPayPalGateway" runat="server" cellspacing="0" cellpadding="0">
    <tr>
        <td width="150" valign="top" class="NormalBold">
            <dnn:label id="lblUseSandbox" runat="server" controlname="lblUseSandbox" suffix=":">
            </dnn:label>
        </td>
        <td valign="top">
            <asp:CheckBox ID="_chkUseSandbox" runat="server" CssClass="Normal" Checked="false">
            </asp:CheckBox>
        </td>
    </tr>
    <tr>
        <td width="150" valign="top" class="NormalBold">
            <dnn:label id="lblPayPalID" runat="server" controlname="txtPayPalID" suffix=":">
            </dnn:label>
        </td>
        <td valign="top">
            <asp:TextBox ID="_txbPayPalID" runat="server" Width="200px" MaxLength="50" CssClass="Normal"></asp:TextBox>
            <asp:RequiredFieldValidator ID="valPayPalID" resourcekey="Requied.ErrorMessage" CssClass="Normal"
                runat="server" ControlToValidate="_txbPayPalID" Display="Dynamic" />
        </td>
    </tr>
    <tr>
        <td width="150" valign="top" class="NormalBold">
            <dnn:label id="lblPayPalVerificationURL" runat="server" controlname="txtPayPalVerificationURL"
                suffix=":">
            </dnn:label>
        </td>
        <td valign="top">
            <asp:TextBox ID="_txbPayPalVerificationURL" runat="server" Width="300px" MaxLength="255"
                CssClass="Normal"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td width="150" valign="top" class="NormalBold">
            <dnn:label id="lblPayPalPaymentURL" runat="server" controlname="txtPayPalPaymentURL"
                suffix=":">
            </dnn:label>
        </td>
        <td valign="top">
            <asp:TextBox ID="_txbPayPalPaymentURL" runat="server" Width="300px" MaxLength="255"
                CssClass="Normal"></asp:TextBox>
        </td>
    </tr>
    <tr>
        <td width="150" valign="top" class="NormalBold">
            <dnn:label id="lblCurrency" runat="server" controlname="txtPayPalCurrency" suffix=":">
            </dnn:label>
        </td>
        <td valign="top">
            <asp:TextBox ID="_txbPayPalCurrency" runat="server" Width="50px" MaxLength="3" CssClass="Normal">USD</asp:TextBox>
        </td>
    </tr>
    <tr>
        <td width="150" valign="top" class="NormalBold">
            <dnn:label id="lblLanguage" runat="server" controlname="txtPayPalLanguage" suffix=":">
            </dnn:label>
        </td>
        <td valign="top">
            <asp:TextBox ID="txtPayPalLanguage" runat="server" Width="50px" MaxLength="2" CssClass="Normal">USD</asp:TextBox>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:Label ID="lblError" runat="server" Font-Bold="true" ForeColor="red"></asp:Label>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="center">
            <asp:LinkButton ID="_lnkSave" resourcekey="_lnkSave" CssClass="Normal" runat="server" />
        </td>
    </tr>
</table>
