<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_AuthorsList.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_AuthorsList" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>

<div>
    <asp:HyperLink ID="cmdAddNewAuthor" runat="server" CssClass="Normal">
        <asp:Image ID="imgAddNewContent" runat="server" AlternateText="Add" ImageUrl="~/images/add.gif">
        </asp:Image>Add Author</asp:HyperLink>
</div>
<div>
<asp:GridView ID="dtgAuthorsList" runat="server" Width="450px" AllowPaging="True"
                AutoGenerateColumns="False" BorderColor="#999999" BorderStyle="None" BorderWidth="1px"
                BackColor="White" CellPadding="1" GridLines="Vertical" >
                <FooterStyle ForeColor="Black" BackColor="#CCCCCC"></FooterStyle>
                <SelectedRowStyle  Font-Bold="True" ForeColor="White" BackColor="#008A8C" />
                <AlternatingRowStyle BackColor="Gainsboro"></AlternatingRowStyle>
                <RowStyle Font-Size="Smaller" Font-Names="Tahoma" ForeColor="Black" BackColor="#EEEEEE">
                </RowStyle>
                <HeaderStyle Font-Bold="True" ForeColor="White" BackColor="#000084"></HeaderStyle>
                <Columns>
                    <asp:TemplateField>
                        <HeaderStyle Width="25px"></HeaderStyle>
                        <ItemStyle HorizontalAlign="Center"></ItemStyle>
                        <ItemTemplate>
                            <asp:HyperLink ID="Hyperlink2" runat="server" NavigateUrl='<%# AuthEditURL( DataBinder.Eval( Container.DataItem,"AuthorID").ToString() ) %>'>
                                <asp:Image runat="server" AlternateText="Edit Author" ID="Image1" ImageUrl="~/images/edit.gif"
                                    Visible='<%#IsEditable%>'></asp:Image>
                            </asp:HyperLink>
                        </ItemTemplate>
                    </asp:TemplateField>
                    <asp:BoundField DataField="FirstName" HeaderText="First Name">
                        <HeaderStyle Font-Size="X-Small" Font-Names="Tahoma" Font-Bold="True" HorizontalAlign="Center">
                        </HeaderStyle>
                    </asp:BoundField>
                    <asp:TemplateField HeaderText="Email">
                        <HeaderStyle Font-Size="Smaller" Font-Names="Tahoma" Font-Bold="True" HorizontalAlign="Center">
                        </HeaderStyle>
                        <ItemTemplate>
                            <asp:Label ID="Label1" runat="server" CssClass="Normal" Text='<%# FormatAuthorEmail(DataBinder.Eval(Container, "DataItem.Email").ToString() ) %>'>
                            </asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
                <PagerStyle HorizontalAlign="Center" ForeColor="Black" BackColor="#999999" >
                </PagerStyle>
            </asp:GridView>
</div>

