<%@ Control Language="c#" Codebehind="CB_ConnDatabaseEdit.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_ConnDatabaseEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI" Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>


<script language="javascript">
      function DoConnectionListCallback(param)
      {
        <%=connectionsCallback.ClientID%>.Callback(param);
      }
      function DoCallback(param)
      {
        param = 'TABLE:'+param;
        <%=tablesListCallback.ClientID%>.Callback(param);
      }

      function DoColumnsCallback(param)
      {
        param = 'COLUMN:'+param;
        <%=tablesListCallback.ClientID%>.Callback(param);
      }
      
      function TEST()
      {
        var sdw = document.getElementById('<%=lbxDataBases.ClientID%>');
        if (sdw.selectedIndex == -1)
        {
          alert('Please select a database from database\'s list!');
          return;
        }
        var param = 'DATABASE:'+sdw.options[sdw.selectedIndex].value+':'+sdw.options[sdw.selectedIndex].text
        //alert(param);
        <%=tablesListCallback.ClientID%>.Callback(param);
        return;
//        //this.options[this.selectedIndex].value
//        //alert(sdw);
//        //return;
//        optArray = sdw.options; 
//        //alert(optArray);
//        for( index=0; index< optArray.length; index++) 
//        { 
//          
//           if( optArray[ index].selected) 
//           { 
//             alert('if: '+optArray[ index]);
//              // However you want to pass this value 
//              // ie. 
//             // optSel += optArray[ index].text + "\n"; 
//             // alert( optSel);
//           } 
//        } 
      }
      
      function ListDatabasesCallback(param)
      {
        param = 'LISTDB:'+param;
        <%=connectionsCallback.ClientID%>.Callback(param);
      }
      
</script>


            <table>
              <tr>
                <td valign="top">
                  <componentart:CALLBACK id="connectionsCallback" runat="server">
                    <content>
                          <asp:PlaceHolder ID="PlaceHolder1" runat="server">                
                  <table border="0">
                    <tr>
		                  <td class="SubHead">		
			                  <dnn:label id="plEditText" resourcekey="plEditText" controlname="txtEditText" suffix="" runat="server"></dnn:label>
		                  </td>
                    </tr>
                    <tr>
                      <td >
			                  <asp:TextBox id="txtEditText" CssClass="NormalTextBox" runat="server" MaxLength="50"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="reqvalName" runat="server" ControlToValidate="txtEditText"
                          CssClass="NormalRed" ErrorMessage="Field is required!">*</asp:RequiredFieldValidator>
                      </td>
                    </tr>  
                    <tr>
		                  <td class="SubHead">		
			                  <dnn:label id="plConnectionName" resourcekey="plConnectionName" controlname="txtEditText" suffix="" runat="server"></dnn:label>
		                  </td>
                    </tr>
                    <tr>
                      <td >
			                  <asp:TextBox id="txtConnectionName" CssClass="NormalTextBox" runat="server" MaxLength="50"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="reqConnectionName" runat="server" ControlToValidate="txtConnectionName"
                          CssClass="NormalRed" ErrorMessage="Field is required!">*</asp:RequiredFieldValidator>
                      </td>
                    </tr>  
                    <tr>
		                  <td class="SubHead">		
			                  <dnn:label id="plDefinedConnections" resourcekey="plDefinedConnections" controlname="lbxDefinedConnections" suffix="" runat="server"></dnn:label>
		                  </td>
                    </tr>
                    <tr>
                      <td style="width: 100px">
                        <asp:ListBox ID="lbxDefinedConnections" runat="server" Width="315px"
                         onChange="javascript:DoConnectionListCallback(this.options[this.selectedIndex].value);"></asp:ListBox>
                      </td>
                    </tr>
                    <tr>
                      <td style="width: 100px">
                        <asp:RadioButton ID="rbLocal" runat="server" resourcekey="rbLocal" CssClass="NormalTextBox" GroupName="CONN_TYPE"  onClick="javascript:ListDatabasesCallback('');"    />
                      </td>
                    </tr>
                    <tr>
                     <td>
                      <asp:ListBox ID="lbxDataBases" runat="server" Width="315px"
                         ></asp:ListBox>
                      </td>
                    </tr>                    
                    <tr>
                      <td style="width: 100px">                        
                        <asp:RadioButton ID="rbRemote" runat="server" resourcekey="rbRemote" CssClass="NormalTextBox" GroupName="CONN_TYPE" />
                      </td>
                    </tr>
                    <tr>
                      <td style="width: 100px">
                        <asp:TextBox ID="txtConnectionstring" runat="server" CssClass="NormalTextBox" MaxLength="255"
                          Width="312px"></asp:TextBox>
                      </td>
                    </tr>
                  </table>
                          </asp:PlaceHolder> 
                    </content>
                  </componentart:CALLBACK>                  
                </td>
                <td>
                <a href="javascript:TEST();"><asp:image id="Image1" ImageUrl="~/desktopmodules/DNNMasters.CB.ExternalSources/Images/rt.gif" AlternateText="" Runat="server"></asp:image></a>
                </td>
                <td>
                  <componentart:CALLBACK id="tablesListCallback" runat="server">
                    <content>
                      <asp:PlaceHolder ID="PlaceHolder2" runat="server">

                        <table border="0">
                          <tr>
		                        <td class="SubHead" style="width: 100px">		
			                        <dnn:label id="lbTables" resourcekey="lbTables" controlname="lbxTables" suffix="" runat="server"></dnn:label>
		                        </td>
                          </tr>
                          <tr>
                            <td  style="width: 100px">
			                        <asp:ListBox ID="lbxTables"  runat="server" AutoPostBack="False" CssClass="NormalTextBox"
                                Height="350px" onChange="javascript:DoCallback(this.options[this.selectedIndex].value);"></asp:ListBox>
                            </td>
                          </tr>  
                          <tr>
                            <td>
                              <table>
                                <tr>
                                  <td><asp:ListBox ID="lbxColumns" runat="server" Width="315px"
                                         SelectionMode="Multiple" 
                                          onChange="javascript:DoColumnsCallback(this.options[this.selectedIndex].text);"></asp:ListBox>
                                  </td>
                                </tr>
                              </table>
                            </td>
                          </tr> 
                       </table>   
                      </asp:PlaceHolder> 
                    </content>
                  </componentart:CALLBACK>                 
                </td>
              </tr>
            </table>

  <asp:linkbutton id="cmdConnectToDatabase" resourcekey="cmdConnectToDatabase" CssClass="CommandButton" borderstyle="none" runat="server"></asp:linkbutton>
<asp:Label ID="lblWarning" runat="server" CssClass="NormalRed" Text="Label"></asp:Label>



