<%@ register tagprefix="dnn" tagname="Label" src="~/controls/LabelControl.ascx" %>
<%@ register tagprefix="dnn" tagname="DualListControl" src="~/controls/DualListControl.ascx" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI" Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Control Language="c#" AutoEventWireup="false" Codebehind="CB_GS_ListView.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_GS_ListView" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>


<script type="text/javascript">
    function get_selected_items(objSelect) 
    {
        selected = "";
        for (i=0; i < objSelect.length; i++) {
          if (objSelect[i].selected) {
            selected += objSelect[i].value +";";
          }
        }
        //alert(selected);
        return selected;        
    }
    
    function GetSelectedItemsByName(clientId, name)
    {
      var selected = "";
      object_sel = document.getElementById(clientId);
      if (object_sel != null)
      {
        selected = get_selected_items(object_sel);
      }
      selected = name+selected + "|";
      return selected;
    }
    
    function GetCheckBoxValueByName(clientId, name)
    {
      var selected = "";
      object_sel = document.getElementById(clientId);
      if (object_sel != null)
      {
        selected = object_sel.checked+";";
      }
      selected = name+selected + "|";
      return selected;
    }
    
    
    function GetSelectedItems()
    {
      var all_selected = "";
      all_selected += GetSelectedItemsByName('<%=lstAddNewArticleRoles.ClientID%>', "lstAddNewArticleRoles");
      all_selected += GetSelectedItemsByName('<%=lstEditArticlesRoles.ClientID%>', "lstEditArticlesRoles");
      all_selected += GetSelectedItemsByName('<%=lstApproveArticlesRoles.ClientID%>', "lstApproveArticlesRoles");
      all_selected += GetSelectedItemsByName('<%=lstDeleteArticlesRoles.ClientID%>', "lstDeleteArticlesRoles");
      all_selected += GetSelectedItemsByName('<%=lstCommentsRoles.ClientID%>', "lstCommentsRoles");
      all_selected += GetSelectedItemsByName('<%=lstRatingRoles.ClientID%>', "lstRatingRoles");
      all_selected += GetSelectedItemsByName('<%=lstPublishArticlesRoles.ClientID%>', "lstPublishArticlesRoles");
      all_selected += GetSelectedItemsByName('<%=lstViewArticlesRoles.ClientID%>', "lstViewArticlesRoles");
      all_selected += GetSelectedItemsByName('<%=lstViewSubscriberRoles.ClientID%>', "lstViewSubscriberRoles");
      all_selected += GetSelectedItemsByName('<%=lstEditingComments.ClientID%>', "lstEditingComments");
      //checks
      all_selected += GetCheckBoxValueByName('<%=chbShowComments.ClientID%>', "chbShowComments");
      all_selected += GetCheckBoxValueByName('<%=chbRatingsOnOff.ClientID%>', "chbRatingsOnOff");
      <%=UpdateCallback.ClientID%>.Callback(all_selected);
    }   
    
    
</script>


<div>
<strong><dnn:label id="lblClassification" resource="lblClassification" controlname="" suffix="" runat="server">
       </dnn:label></strong>
</div>
<div class="dnnForm">
<fieldset>
        <div class="dnnFormItem">
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblShowComments" resource="lblShowComments" controlname="" suffix="" runat="server">
			          </dnn:label>
            <asp:CheckBox id="chbShowComments" runat="server" CssClass="Normal" ></asp:CheckBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblRatingsOnOff" resource="lblRatingsOnOff" controlname="" suffix="" runat="server">
			          </dnn:label>
            <asp:checkbox id="chbRatingsOnOff" runat="server" CssClass="Normal" ></asp:checkbox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblViewArticlesRoles" resource="lblViewArticlesRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstViewArticlesRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblViewSubscriberRoles" resource="lblViewSubscriberRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
            <asp:ListBox id="lstViewSubscriberRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblCommentsRoles" resource="lblCommentsRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
            <asp:ListBox id="lstCommentsRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblRatingRoles" resource="lblRatingRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
            
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstRatingRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblAddNewArticleRoles" resource="lblAddNewArticleRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
            
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstAddNewArticleRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblEditArticlesRoles" resource="lblEditArticlesRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstEditArticlesRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblDeleteArticlesRoles" resource="lblDeleteArticlesRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstDeleteArticlesRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblApproveArticlesRoles" resource="lblApproveArticlesRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstApproveArticlesRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblPublishArticlesRoles" resource="lblPublishArticlesRoles" controlname="" suffix="" runat="server">
			          </dnn:label>
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstPublishArticlesRoles" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblEditingComments" resource="lblEditingComments" controlname="" suffix="" runat="server">
			          </dnn:label>
        </div>
        <div class="dnnFormItem">
            <asp:ListBox id="lstEditingComments" Width="250px" runat="server" CssClass="NormalTextBox" SelectionMode="Multiple"></asp:ListBox>
        </div>
        <div class="dnnFormItem">
            <a href="javascript:GetSelectedItems();" class="dnnPrimaryAction">Update</a>

            <componentart:callback id="UpdateCallback" runat="server" >
            <content>
              <asp:PlaceHolder ID="pcSaveMessage" runat="server">
     
              </asp:PlaceHolder><br />
            </content>
            </componentart:callback>
        </div>

    </fieldset>
</div>




          
    <asp:LinkButton ID="cmdUpdate" resourcekey="cmdUpdate" runat="server" CssClass="dnnPrimaryAction" Visible="false"></asp:LinkButton>
    
