<%@ Control Language="c#" CodeBehind="CB_Photos.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_Photos"
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table align="center" >
    <tr>
        <td style="text-align:left;">
            <asp:LinkButton ID="_btnCreatePhoto" runat="server" CssClass="CommandButton" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="_pnlCreateEditPhoto" runat="server" Visible="false">
                <dnn:label id="lblCreateEditPhoto" suffix="" runat="server" CssClass="Normal" resource="lblCreateEditPhoto" />            
                <table width="550px">
                    <tr>
                        <td class="Normal"><dnn:label id="lblPhotoTitle" suffix="" runat="server" CssClass="Normal"  /></td>
                        <td nowrap><asp:TextBox ID="_txtPhotoTitle" runat="server" CssClass="Normal" Width="250px" MaxLength="100" ></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Normal"><dnn:label id="lblPhotoDescription" suffix="" runat="server" CssClass="Normal"  /></td>
                        <td nowrap><asp:TextBox ID="_txtPhotoDescription" runat="server" CssClass="Normal" Width="250px" MaxLength="255" TextMode="MultiLine" ></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Normal"><dnn:label id="lblPhotoApproved" suffix="" runat="server" CssClass="Normal"  /></td>
                        <td nowrap>
                            <asp:CheckBox ID="_chkPhotoApproved" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                        
                        </td>
                        <td>
                            <asp:FileUpload ID="filePhoto1" runat="server" CssClass="Normal" style="width: 200pt" />
                        </td>
                    </tr>
                </table>
                <table>
                    <tr>
                        <td><asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" /></td>
                        <td><asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </td>
    </tr>
</table>



<asp:GridView ID="_gdvCB_Photos" runat="server" AllowPaging="true" AutoGenerateColumns="false"
     PageSize="10" DataKeyNames="FileId"
    Width="500px" AlternatingRowStyle-CssClass="LightBGColor"
    PagerSettings-Position="TopAndBottom">
    <Columns>
        <asp:TemplateField ItemStyle-BorderStyle="solid" ItemStyle-BorderWidth="1px" HeaderText="Photos">
            <ItemTemplate>
                <div id="divRecord" style="cursor: default;" runat="server">
                    <table width="500" id="mainTable" class="sample2">
                        <tr>
                            <td valign="top">
                                <table id="testMyTable" valign="top" class="sample2" >
                                    <tbody>
                                        <tr>
                                            <td>
                                            <asp:LinkButton ID="_btnPhotoEdit" runat="server" CssClass="CommandButton"
                                                    CommandName="PhotoEdit" CommandArgument='<%#Bind("FileId")%>' Visible="true" CausesValidation="false">
                                                    <asp:Image ID="Image2" runat="server" ImageUrl='~/images/edit.gif' ToolTip="Edit photo"/>
                                                </asp:LinkButton>&nbsp;
                                            </td>
                                            <td >
                                                
                                                <img src='<%# ReturnPhotoPath(DataBinder.Eval(Container.DataItem, "FileId").ToString(), DataBinder.Eval(Container.DataItem, "Filename").ToString()) %>' alt=""/>
                                                <br /><strong>Title: </strong><%# DataBinder.Eval(Container.DataItem, "Title").ToString() %>
                                                <br /><strong>Description: </strong><%# DataBinder.Eval(Container.DataItem, "Description").ToString() %>
                                                <br /><strong>Approved: </strong><%# DataBinder.Eval(Container.DataItem, "IsApproved").ToString() %>
                                            </td>
                                            <td style="padding: 5px 0 0 0;">
                                                
                                                <asp:LinkButton ID="_btnPhotoDelete" runat="server" CssClass="CommandButton"
                                                    CommandName="PhotoDelete" CommandArgument='<%#Bind("FileId")%>' Visible="true" CausesValidation="false">
                                                    <asp:Image ID="Image1" runat="server" ImageUrl='~/images/delete.gif' ToolTip="Delete photo" />
                                                </asp:LinkButton>&nbsp;
                                            </td>
                                        </tr>
                                        
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>
            </ItemTemplate>
            <ItemStyle Width="100%" VerticalAlign="Top" />
        </asp:TemplateField>
    </Columns>
</asp:GridView>
<asp:LinkButton ID="_lnkReturn" runat="server" CssClass="CommandButton" Text="Return"/>