<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output cdata-section-elements="Body"/>
    <xsl:template match="/ROOT/row">
       
                <p>
                    <xsl:if test="@Title!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:bold; ">
                            <xsl:value-of select="@Title" />
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                    <xsl:if test="@ImageUrl!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:bold; ">
                            <img>
                                <xsl:attribute name="src">
                                    <xsl:value-of select="@ImageUrl"/>
                                </xsl:attribute>
                                <xsl:attribute name="border">0</xsl:attribute>
                            </img>
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                </p>
       
    </xsl:template>
</xsl:stylesheet>    
