<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_AdminMain.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_AdminMain" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<%@ Register TagPrefix="uc1" TagName="CB_CategoriesEdit" Src="CB_CategoriesEdit.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CB_AuthorsList" Src="UserControls/CB_AuthorsList.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CommentsTemplatesSettings" Src="UserControls/CommentsTemplatesSettings.ascx" %>
<%@ Register TagPrefix="uc1" TagName="RelatedContentTemplatesSettings" Src="UserControls/RelatedContentTemplatesSettings.ascx" %>
<%@ Register Src="UserControls/CBLicense.ascx" TagName="CBLicense" TagPrefix="uc1" %>
<%@ Register TagPrefix="uc1" TagName="CB_AdminFullViews" Src="UserControls/CB_AdminFullViews.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CB_EmailSubscriptionSettings" Src="UserControls/CB_EmailSubscriptionSettings.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CB_GS_Permissions" Src="UserControls/CB_GS_Permissions.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CB_EmailAFriendSettings" Src="UserControls/CB_EmailAFriendSettings.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CB_TemplatesAddContent" Src="UserControls/CB_TemplatesAddContent.ascx" %>
<%@ Register TagPrefix="uc1" TagName="GSArticleSettings" Src="UserControls/GSArticleSettings.ascx" %>


<componentart:tabstrip id="tbstrMain" width="100%" defaultgroupcssclass="TopGroup"
    defaultitemlookid="TopLevelTabLook" defaultselecteditemlookid="SelectedTopLevelTabLook"
    defaultchildselecteditemlookid="SelectedTopLevelTabLook" defaultgrouptabspacing="0px"
    imagesbaseurl="images/" runat="server" multipageid="mpMain" scrolluplookid="TopLevelTabLook"
    scrollleftlookid="TopLevelTabLook" scrollrightlookid="TopLevelTabLook" templates="(Collection)"
    topgroupcssclass="TopGroup" topgrouptabspacing="0px" scrolldownlookid="TopLevelTabLook">
    <itemlooks>
<componentart:ItemLook HoverCssClass="TopLevelTabHover" LabelPaddingTop="4px" LabelPaddingRight="15px" LabelPaddingBottom="4px" LabelPaddingLeft="15px" LookId="TopLevelTabLook" CssClass="TopLevelTab"></componentart:ItemLook>
<componentart:ItemLook LabelPaddingTop="4px" LabelPaddingRight="15px" LabelPaddingBottom="4px" LabelPaddingLeft="15px" LookId="SelectedTopLevelTabLook" CssClass="SelectedTopLevelTab"></componentart:ItemLook>
<componentart:ItemLook HoverCssClass="Level2TabHover" LabelPaddingTop="2px" LabelPaddingRight="10px" LabelPaddingBottom="2px" LabelPaddingLeft="5px" LookId="Level2TabLook" CssClass="Level2Tab"></componentart:ItemLook>
<componentart:ItemLook LabelPaddingTop="2px" LabelPaddingRight="10px" LabelPaddingBottom="2px" LabelPaddingLeft="5px" LookId="SelectedLevel2TabLook" CssClass="SelectedLevel2Tab"></componentart:ItemLook>
</itemlooks>
    <tabs>
<componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ></componentart:TabStripTab>
<componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ID="tabAuthors"></componentart:TabStripTab>
<componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ID="tabGlobalSettings"></componentart:TabStripTab>
<componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ID="tabCommentsTemplates"></componentart:TabStripTab>
<componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ID="tabRelatedConentTemplates"></componentart:TabStripTab>
<componentart:TabStripTab DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ID="tabLicense"></componentart:TabStripTab>
</tabs>
</componentart:tabstrip>
<componentart:multipage id="mpMain" runat="server" height="100%" width="100%" pageviews="(Collection)">
    <componentart:pageview id="pvCategoris" cssclass="PageContent" runat="server">
        <uc1:cb_categoriesedit runat="server" id="ctlCategoriesEdit">
        </uc1:cb_categoriesedit>
    </componentart:pageview>
    <componentart:pageview id="pvAuthors" cssclass="PageContent" runat="server">
        <uc1:cb_authorslist runat="server" id="ctlAuthorsList">
        </uc1:cb_authorslist>
    </componentart:pageview>
    <componentart:pageview id="pvGlobalSettings" cssclass="PageContent" runat="server">
    <componentart:tabstrip id="tbstrMainGS" runat="server" defaultchildselecteditemlookid="SelectedTopLevelTabLook"
            defaultgroupcssclass="TopGroup" defaultgrouptabspacing="0px" defaultitemlookid="TopLevelTabLook"
            defaultselecteditemlookid="SelectedTopLevelTabLook" imagesbaseurl="images/" multipageid="mpMainGS"
            scrolldownlookid="TopLevelTabLook" scrollleftlookid="TopLevelTabLook" scrollrightlookid="TopLevelTabLook"
            scrolluplookid="TopLevelTabLook" templates="(Collection)" topgroupcssclass="TopGroup"
            topgrouptabspacing="0px" width="100%" Visible="true">
            <itemlooks>
        <componentart:ItemLook HoverCssClass="TopLevelTabHover" LabelPaddingTop="4px" LabelPaddingRight="15px" LabelPaddingBottom="4px" LabelPaddingLeft="15px" LookId="TopLevelTabLook" CssClass="TopLevelTab"></componentart:ItemLook>
        <componentart:ItemLook LabelPaddingTop="4px" LabelPaddingRight="15px" LabelPaddingBottom="4px" LabelPaddingLeft="15px" LookId="SelectedTopLevelTabLook" CssClass="SelectedTopLevelTab"></componentart:ItemLook>
        <componentart:ItemLook HoverCssClass="Level2TabHover" LabelPaddingTop="2px" LabelPaddingRight="10px" LabelPaddingBottom="2px" LabelPaddingLeft="5px" LookId="Level2TabLook" CssClass="Level2Tab"></componentart:ItemLook>
        <componentart:ItemLook LabelPaddingTop="2px" LabelPaddingRight="10px" LabelPaddingBottom="2px" LabelPaddingLeft="5px" LookId="SelectedLevel2TabLook" CssClass="SelectedLevel2Tab"></componentart:ItemLook>
        </itemlooks>
            <tabs>
            <componentart:TabStripTab ID="TabStripTab6" DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ></componentart:TabStripTab>
            <componentart:TabStripTab ID="TabStripTab7" DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server"></componentart:TabStripTab>
            <componentart:TabStripTab ID="TabStripTab8" DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ></componentart:TabStripTab>
            <componentart:TabStripTab ID="TabStripTab9" DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ></componentart:TabStripTab>
            <componentart:TabStripTab ID="TabStripTab1" DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ></componentart:TabStripTab>
            <componentart:TabStripTab ID="TabStripTab2" DefaultSubGroupCssClass="Level2Group" DefaultSubGroupLastSeparatorWidth="22px" DefaultSubGroupTabSpacing="0px" DefaultSubGroupLastSeparatorHeight="22px" SubGroupCssClass="Level2Group" SubGroupLastSeparatorWidth="22px" DefaultSubGroupFirstSeparatorWidth="15px" SubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorHeight="22px" DefaultSubGroupSeparatorWidth="22px" SubGroupLastSeparatorHeight="22px" SubGroupFirstSeparatorHeight="22px" SubGroupTabSpacing="0px" SubGroupFirstSeparatorWidth="15px" DefaultSubGroupFirstSeparatorHeight="22px" SubGroupSeparatorWidth="22px" runat="server" ></componentart:TabStripTab>
            </tabs>
        <clientevents>
        </clientevents>
        </componentart:tabstrip>
        <componentart:multipage id="mpMainGS" runat="server" height="100%" width="100%"
            pageviews="(Collection)" Visible="true">
            <componentart:PageView ID="tabFullViews" CssClass="PageContent" runat="server">
                <uc1:CB_AdminFullViews runat="server" ID="ctlAdminFullView" Visible="true"></uc1:CB_AdminFullViews>
            </componentart:PageView>
            <componentart:PageView ID="tabOthersSettings" CssClass="PageContent" runat="server">
                <uc1:cb_emailsubscriptionsettings runat="server" id="ctlEmailSubscriptionSettings" Visible="true">
                </uc1:cb_emailsubscriptionsettings>
            </componentart:PageView>
            <componentart:PageView ID="tabEmailAFriendSettings" CssClass="PageContent" runat="server">
                <uc1:CB_EmailAFriendSettings runat="server" id="ctlEmailAFriendSettings" Visible="true">
                </uc1:CB_EmailAFriendSettings>
            </componentart:PageView>
            <componentart:PageView ID="tabPermissions" CssClass="PageContent" runat="server">
                <uc1:cb_gs_permissions runat="server" id="ctlCBGSPermissions" Visible="true">
                </uc1:cb_gs_permissions>
            </componentart:PageView>
            <componentart:PageView ID="pvTemplates" CssClass="PageContent" runat="server">
                <uc1:CB_TemplatesAddContent runat="server" id="ctlTemplatesAddContent" Visible="true">
                </uc1:CB_TemplatesAddContent>
            </componentart:PageView>
            <componentart:PageView ID="pvArticleSettings" CssClass="PageContent" runat="server">
                <uc1:GSArticleSettings runat="server" id="ctlGSArticleSettings" Visible="true">
                </uc1:GSArticleSettings>
            </componentart:PageView>
        </componentart:multipage>

        
    </componentart:pageview>
    <componentart:pageview id="pvCommentsTemplates" cssclass="PageContent" runat="server">
    
        <uc1:CommentsTemplatesSettings runat="server" id="_ctlCommentsTemplatesSettings" Visible="true">
        </uc1:CommentsTemplatesSettings>
    </componentart:pageview>
    <componentart:pageview id="pvRelatedContentTemplates" cssclass="PageContent" runat="server">
        <uc1:RelatedContentTemplatesSettings runat="server" id="_ctlRelatedContentTemplatesSettings" Visible="true">
        </uc1:RelatedContentTemplatesSettings>
        
    </componentart:pageview>
    <componentart:pageview id="pvLicense" runat="server" cssclass="PageContent">
        <uc1:CBLicense runat="server" id="_ctlCBLicense" Visible="true">
        </uc1:CBLicense>
                 
    </componentart:pageview>
</componentart:multipage>