<%@ register tagprefix="dnn" tagname="Label" src="~/controls/LabelControl.ascx" %>
<%@ control language="c#" autoeventwireup="false" codebehind="CB_ArticleBrowserSettings.ascx.cs"
	inherits="DNNMasters.ContentBuilder.CB_ArticleBrowserSettings" %>

<div class="dnnForm">
    <fieldset>
        <div class="dnnFormItem">
            <dnn:label id="lblWidth" resource="width" controlname="" suffix=":" runat="server"></dnn:label>
            <asp:textbox id="txtWidth" runat="server"></asp:textbox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblHeight" resource="height" controlname="" suffix=":" runat="server">
			</dnn:label>
            <asp:textbox id="txtHeight" runat="server"></asp:textbox>
        </div>
        <div class="dnnFormItem">
            <dnn:label id="lblPageSize" resource="width" controlname="" suffix=":" runat="server">
			</dnn:label>
            <asp:textbox id="txtPageSize" runat="server"></asp:textbox>
        </div>
        <div class="dnnFormItem">
            <strong><dnn:label id="lblVisibility" resource="columnvisibility" controlname="" suffix=":" runat="server"></dnn:label>
            <dnn:label id="lblOrder" resource="columnvisibility" controlname="" suffix=":" runat="server">
						</dnn:label>
            </strong>
        </div>
        <asp:PlaceHolder ID="_phColumns" runat="server"></asp:PlaceHolder>
    </fieldset>
</div>
<asp:linkbutton id="lnkUpdate" runat="server" cssclass="dnnPrimaryAction">Update</asp:linkbutton>
				<asp:linkbutton id="lnkCancel" runat="server" cssclass="dnnSecondaryAction">Cancel</asp:linkbutton>


