<%@ Control Language="c#" AutoEventWireup="false" Codebehind="CB_Comments.ascx.cs" Inherits="DNNMasters.ContentBuilder.CB_Comments" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI" Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>

<script type="text/javascript">
    // Handles the TreeView node select event 
    function SaveComment()
    { 
      //alert('looz');
      //alert(node.Value);
      var CommentTitle = "";
      var CommentAuthorName = "";
      var CommentBody = "";
      
      var txtCommentTitle = document.getElementById('<%=CommentTitle.ClientID%>');
      var txtCommentAuthorName = document.getElementById('<%=CommentAuthorName.ClientID%>');
      var txtCommentBody = document.getElementById('<%=CommentBody.ClientID%>');
      if (txtCommentTitle != null)
      {
        //alert('txtCommentTitle');
        CommentTitle = "<CommentTitle>" + txtCommentTitle.value + "</CommentTitle>";
      }
      else
        CommentTitle = "<CommentTitle></CommentTitle>";
      if (txtCommentAuthorName != null)
      {
        //alert('txtCommentAuthorName');
        CommentAuthorName = "<CommentAuthorName>" + txtCommentAuthorName.value + "</CommentAuthorName>";
      }
      else
        CommentAuthorName = "<CommentAuthorName></CommentAuthorName>";
      if (txtCommentBody != null)
      {
        //alert('txtCommentBody');
        CommentBody = "<CommentBody>" + txtCommentBody.value + "</CommentBody>";
      }
      else
        CommentBody = "<CommentBody></CommentBody>";
      var s = CommentTitle + CommentAuthorName + CommentBody;
      //alert(s);
      <%=CommentsCallback.ClientID%>.Callback(s);
    }
</script>


<componentart:callback id="CommentsCallback" runat="server" width="100%">
     <Content>
      <asp:PlaceHolder Runat="server" ID="PlaceHolder1">
        <table width="100%" cellspacing="0" cellpadding="4" border="0">
          <asp:Repeater id="rptComments" runat="server">
            <ItemTemplate>
              <tr>
                <td class="normal" style="border-bottom:solid 1px silver"><div style="margin-bottom: 6px"><b><%# DataBinder.Eval(Container.DataItem, "CommentTitle") %></b>,
                    <span style="font-size:7pt;"><i>
                        <%# DataBinder.Eval(Container.DataItem, "CommentAuthorName") %>
                        ,
                        <%# DataBinder.Eval(Container.DataItem, "CommentDate") %>
                      </i></span>
                  </div>
                  <%# DataBinder.Eval(Container.DataItem, "CommentBody") %>
                  <asp:Panel ID="Panel1" Runat="server" Visible="<%# IsAdmin %>" CssClass="normal" BorderColor=red BorderWidth=1 style="padding:4px;">
						        <b>Administrator Options:</b><br>
						        Portal user: <%# DataBinder.Eval(Container.DataItem, "firstName") %> <%# DataBinder.Eval(Container.DataItem, "lastName") %> (<%# DataBinder.Eval(Container.DataItem, "userName") %>)<br>
						        IP Address: <%# DataBinder.Eval(Container.DataItem, "CommentIP") %><br>
						        <asp:Label ID="Label1" Runat=server Visible='<%# !((bool)DataBinder.Eval(Container.DataItem, "CommentVisible")) %>'>
                      <b><span style="color:red">Post is hidden by moderator!</span></b></asp:Label> 
        <asp:LinkButton ID="LinkButton1" CausesValidation=False CssClass="CommandButton" Runat=server CommandName="hide" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "CommentId") %>' Text='<%# ((bool)DataBinder.Eval(Container.DataItem, "CommentVisible"))?"Hide":"UnHide" %>' OnCommand="CommandHide">
                    </asp:LinkButton>
					        </asp:Panel>
                </td>
              </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
              <tr>
                <td class="normal" style="border-bottom:solid 1px silver;background-color:whitesmoke"><div style="margin-bottom: 6px"><b><%# DataBinder.Eval(Container.DataItem, "CommentTitle") %></b>,
                    <span style="font-size:7pt;"><i>
                        <%# DataBinder.Eval(Container.DataItem, "CommentAuthorName") %>
                        ,
                        <%# DataBinder.Eval(Container.DataItem, "CommentDate") %>
                      </i></span>
                  </div>
                  <%# DataBinder.Eval(Container.DataItem, "CommentBody") %>
                  <asp:Panel Runat=server Visible="<%# IsAdmin %>" CssClass="normal" BorderColor=red BorderWidth=1 ID="Panel1" NAME="Panel1" style="padding:4px;">
						        <b>Administrator Options:</b><br>
						        Portal user: <%# DataBinder.Eval(Container.DataItem, "firstName") %> <%# DataBinder.Eval(Container.DataItem, "lastName") %> (<%# DataBinder.Eval(Container.DataItem, "userName") %>)<br>
						        IP Address: <%# DataBinder.Eval(Container.DataItem, "CommentIP") %><br>
						        <asp:Label ID="Label2" Runat=server Visible='<%# !((bool)DataBinder.Eval(Container.DataItem, "CommentVisible")) %>'>
                      <b><span style="color:red">Post is hidden by moderator!</span></b></asp:Label> 
        <asp:LinkButton CausesValidation=False CssClass="CommandButton" Runat=server CommandName="hide" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "CommentId") %>' Text='<%# ((bool)DataBinder.Eval(Container.DataItem, "CommentVisible"))?"Hide":"UnHide" %>' ID="Linkbutton1" NAME="Linkbutton1" OnCommand="CommandHide">
                    </asp:LinkButton>
					        </asp:Panel>
                </td>
              </tr>
            </AlternatingItemTemplate>
            <HeaderTemplate>
              <tr>
                <td class="normal" style="border-bottom:solid 1px silver"><b>Comments</b>
                </td>
              </tr>
            </HeaderTemplate>
          </asp:Repeater>
          <tr>
            <td class="normal" style="BORDER-TOP:black 1px solid; BORDER-BOTTOM:silver 1px solid">
              <table>
                <tr>
                  <td><asp:Label ID="Label5" runat="server" CssClass="NormalBold">Add comment</asp:Label></td>
                </tr>              
                <tr>
                  <td><asp:Label ID="lblAuthor" runat="server" CssClass="Normal">Title:</asp:Label></td>
                </tr>
                <tr>
                  <td><asp:TextBox runat="server" ID="CommentTitle" MaxLength="150" Columns="50" EnableViewState="False"></asp:TextBox>&nbsp;
                      <asp:RequiredFieldValidator id="RequiredFieldValidator1" runat="server" ErrorMessage="Enter title!" ControlToValidate="CommentTitle"></asp:RequiredFieldValidator>
                  </td>
                </tr>
                <tr>
                  <td><asp:Label ID="Label3" runat="server" CssClass="Normal">Name:</asp:Label></td>
                </tr>
                <tr>
                  <td><asp:TextBox Runat="server" ID="CommentAuthorName" MaxLength="100" Columns="50" EnableViewState="False"></asp:TextBox>&nbsp;
                      <asp:RequiredFieldValidator id="RequiredFieldValidator2" runat="server" ErrorMessage="Enter your name!" ControlToValidate="CommentAuthorName"></asp:RequiredFieldValidator>
                  </td>
                </tr>
                <tr>
                  <td><asp:Label ID="Label4" runat="server" CssClass="Normal">Comment:</asp:Label></td>
                </tr>
                <tr>
                  <td><asp:TextBox Runat="server" TextMode="MultiLine" Columns="70" Rows="8" ID="CommentBody" EnableViewState="False" Width="100%"></asp:TextBox>
                      <asp:RequiredFieldValidator id="RequiredFieldValidator3" runat="server" ErrorMessage="Enter comment!" ControlToValidate="CommentBody"></asp:RequiredFieldValidator>
                  </td>
                </tr>
              </table>
              <asp:LinkButton Runat="server" ID="AddComment" CssClass="CommandButton" Visible="false">Save</asp:LinkButton>
              <a href="javascript:SaveComment();" class="CommandButton">Save</a>
            </td>
          </tr>
        </table>



      </asp:PlaceHolder>
     </Content>
    </componentart:callback>

