<%@ control language="c#" autoeventwireup="false" codebehind="CB_ScheduleSettings.ascx.cs"
	inherits="DNNMasters.ContentBuilder.CB_ScheduleSettings" targetschema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ register tagprefix="dnn" tagname="Label" src="~/controls/LabelControl.ascx" %>
<table cellspacing="0" cellpadding="5" style="text-align:left; border:0; width:400px">
	<tr>
		<td class="SubHead" align="center" colspan="2">
			<dnn:label id="lblScheduleSettings" runat="server" text="Schedule settings" resourcekey="lblScheduleSettings">
			</dnn:label>
		</td>
	</tr>
	<tr>
		<tr>
			<td class="SubHead" style="vertical-align: baseline; width: 200px">
				<dnn:label id="plEnableScheduler" controlname="cbxEnableScheduler" suffix="" runat="server">
				</dnn:label>
			</td>
			<td class="SubHead" colspan="2">
				<asp:checkbox id="cbxEnableScheduler" runat="server" />
			</td>
		</tr>
		<td class="SubHead" style="vertical-align: baseline; width: 200px">
			<dnn:label id="plTimeLapse" runat="server" text="Time Lapse:" controlname="txtTimeLapse">
			</dnn:label>
		</td>
		<td class="SubHead" colspan="2">
			<asp:textbox id="txtTimeLapse" runat="server" width="50" cssclass="NormaltextBox"
				maxlength="10"></asp:textbox><asp:dropdownlist id="ddlTimeLapseMeasurement" runat="server"
					cssclass="NormaltextBox">
					<asp:listitem value="m" resourcekey="ddlTimeLapseMeasurementI_minutes"></asp:listitem>
					<asp:listitem value="h" resourcekey="ddlTimeLapseMeasurementI_hours"></asp:listitem>
					<asp:listitem value="d" resourcekey="ddlTimeLapseMeasurementI_days"></asp:listitem>
				</asp:dropdownlist></td>
	</tr>
	<tr>
		<td class="SubHead" style="vertical-align: baseline; width: 200px">
			<dnn:label id="plRetryTimeLapse" runat="server" text="Retry Frequency:" controlname="txtRetryTimeLapse">
			</dnn:label>
		</td>
		<td class="SubHead" colspan="2" style="vertical-align: baseline; height: 35px">
			<asp:textbox id="txtRetryTimeLapse" runat="server" width="50" cssclass="NormaltextBox"
				maxlength="10"></asp:textbox><asp:dropdownlist id="ddlRetryTimeLapseMeasurement"
					runat="server" cssclass="NormaltextBox">
					<asp:listitem value="m" resourcekey="ddlRetryTimeLapseMeasurementI_minutes"></asp:listitem>
					<asp:listitem value="h" resourcekey="ddlRetryTimeLapseMeasurementI_hours"></asp:listitem>
					<asp:listitem value="d" resourcekey="ddlRetryTimeLapseMeasurementI_days"></asp:listitem>
				</asp:dropdownlist></td>
	</tr>
	<tr>
		<td class="SubHead" style="vertical-align: baseline; width: 200px">
			<dnn:label id="plRetainHistoryNum" runat="server" text="Retain Schedule History:"
				controlname="ddlRetainHistoryNum"></dnn:label>
		</td>
		<td class="SubHead" colspan="2">
			<asp:dropdownlist id="ddlRetainHistoryNum" runat="server" cssclass="NormaltextBox">
				<asp:listitem value="0" resourcekey="ddlRetainHistoryNumI_none"></asp:listitem>
				<asp:listitem value="1">1</asp:listitem>
				<asp:listitem value="5">5</asp:listitem>
				<asp:listitem value="10">10</asp:listitem>
				<asp:listitem value="25">25</asp:listitem>
				<asp:listitem value="50">50</asp:listitem>
				<asp:listitem value="100">100</asp:listitem>
				<asp:listitem value="250">250</asp:listitem>
				<asp:listitem value="500">500</asp:listitem>
				<asp:listitem value="-1">All</asp:listitem>
			</asp:dropdownlist></td>
	</tr>
	<tr>
		<td class="SubHead" style="vertical-align: baseline; width: 200px">
			<dnn:label id="plAttachToEvent" runat="server" text="Run on Event:" controlname="ddlAttachToEvent">
			</dnn:label>
		</td>
		<td class="Normal" colspan="2" style="vertical-align: baseline">
			<asp:dropdownlist id="ddlAttachToEvent" runat="server" cssclass="NormaltextBox">
				<asp:listitem resourcekey="ddlAttachToEventI_none"></asp:listitem>
				<asp:listitem value="APPLICATION_START" resourcekey="ddlAttachToEventI_app_start"></asp:listitem>
			</asp:dropdownlist></td>
	</tr>
	<tr>
		<td align="center" colspan="2">
			<asp:linkbutton id="cmdAddToSchedule" runat="server" cssclass="CommandButton" resourcekey="cmdAddToSchedule"></asp:linkbutton>&nbsp;&nbsp;
			<asp:linkbutton id="cmdRemoveFromSchedule" runat="server" cssclass="CommandButton"
				resourcekey="cmdRemoveFromSchedule"></asp:linkbutton>&nbsp;&nbsp;
			<asp:linkbutton id="cmdChangeInSchedule" runat="server" cssclass="CommandButton"
				resourcekey="cmdChangeInSchedule"></asp:linkbutton>
		</td>
	</tr>
	<tr>
		<td align="center" colspan="2">
			<dnn:label id="lblScheduleError" runat="server" text="Error" cssclass="NormalRed"
				visible="False"></dnn:label>
		</td>
	</tr>
</table>
