<%@ Control Language="c#" Codebehind="PagingControl.ascx.cs" Inherits="DNNMasters.ContentBuilder.PagingControl" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<style type="text/css">
.paging-font
{
    font-size:12px;
    font-weight:bold;
    color:#000; 
    vertical-align: text-top;
}

.paging-font-ddl
{
    font-size:12px;
    font-weight:normal;
    color:#000; 
}

.paging-div
{
    font-size:12px;
    font-weight:bold;
    color:#000; 
    position: relative;
    text-align: right;
    margin-bottom: 10px;
    margin-top: 10px;
    line-height: 100%;
    width: auto;
}

.paging-div div
{
    font-size:12px;
    font-weight:bold;
    color:#000; 
    display: inline;
    list-style: none;
    text-align: center;
    margin: 2px;
    vertical-align:top;
}

.paging-div div span
{
    font-size:12px;
    font-weight:bold;
    color:#cdcdcd; /*#000; */
    /*border: 1px #CC0000 solid;
    padding: 3px 6px 3px 6px;*/
}

.paging-div div a
{
    font-size:12px;
    font-weight:bold;
    color:#000; 
    text-decoration: none;
}

</style>


<div class="paging-div">

<asp:panel runat="server" id="pnl_First">
    <asp:ImageButton ID="_imgFirst" runat="server" OnCommand="lnkPaging_Click" />
</asp:panel>
<asp:panel runat="server" id="pnl_Prev">
    <asp:ImageButton ID="_imgPrev" runat="server" OnCommand="lnkPaging_Click" />
    <asp:LinkButton ID="_lnkPrev" runat="server" Style="vertical-align: middle;" OnCommand="lnkPaging_Click"></asp:LinkButton>
</asp:panel>

<asp:Repeater runat="server" ID="rptPaging" OnItemCommand="rptPaging_OnItemCommand">
    <ItemTemplate >
        <asp:panel runat="server" id="pnl_Paging">
            <asp:LinkButton ID="lnkPaging" runat="server" Style="vertical-align: middle;"></asp:LinkButton>
            <asp:Label ID="lblPaging" runat="server" Style="vertical-align: middle;"></asp:Label>
        </asp:panel>
    </ItemTemplate>
    <SeparatorTemplate>
    </SeparatorTemplate>
</asp:Repeater>
<asp:panel runat="server" id="pnl_Next">
    <asp:ImageButton ID="_imgNext" runat="server" OnCommand="lnkPaging_Click" />
    <asp:LinkButton ID="_lnkNext" runat="server" Style="vertical-align: middle;" OnCommand="lnkPaging_Click"></asp:LinkButton>
</asp:panel>
<asp:panel runat="server" id="pnl_Last">
    <asp:ImageButton ID="_imgLast" runat="server" OnCommand="lnkPaging_Click" />
</asp:panel>
</div>