<%@ Control Language="c#" Codebehind="OrderAddress.ascx.cs" Inherits="DNNMasters.CB.Store.UI.OrderAddress" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ register src="UserControls/OrderProgressControl.ascx" tagname="OrderProgressControl" tagprefix="uc1" %>
<%@ Register TagPrefix="uc1" TagName="AddressEdit" Src="UserControls/AddressEdit.ascx" %>
<%@ Register TagPrefix="uc1" TagName="AddressDisplay" Src="UserControls/AddressDisplay.ascx" %>


<uc1:OrderProgressControl id="_ctlOrderProgressControl" runat="server"/>
<div class="CheckoutPage">
    <div class="title">
        Shipping Address
    </div>
    <div class="clear">
    </div>
    <div class="CheckoutData">
        <asp:Panel runat="server" ID="pnlSelectShippingAddress">
            <div class="SelectAddressTitle">
                Select Shipping Address
            </div>
            <div class="clear">
            </div>
            <div class="AddressGrid">
                <asp:DataList ID="dlAddress" runat="server" RepeatColumns="2" RepeatDirection="Horizontal"
                    RepeatLayout="Table" ItemStyle-CssClass="ItemBox">
                    <ItemTemplate>
                        <div class="AddressItem">
                            <div class="SelectButton">
                                <asp:Button runat="server" CommandName="Select" ID="btnSelect" Text='Ship To This Address'
                                    OnCommand="btnSelect_Command" ValidationGroup="SelectShippingAddress" CommandArgument='<%# Eval("AddressID") %>' SkinID="SelectShippingAddressButton"/>
                               </div>
                            <div class="AddressBox">
                                <uc1:AddressDisplay ID="adAddress" runat="server" Address='<%# Container.DataItem %>'
                                    ShowDeleteButton="false" ShowEditButton="false"></uc1:AddressDisplay>
                            </div>
                        </div>
                    </ItemTemplate>
                </asp:DataList>
            </div>
        </asp:Panel>
        <div class="clear">
        </div>
        <div class="EnterAddressTitle">
            <asp:Label runat="server" ID="lEnterShippingAddress"></asp:Label>
        </div>
        <div class="clear">
        </div>
        <div class="EnterAddress">
            <div class="EnterAddressBody">
                <uc1:AddressEdit ID="AddressDisplayCtrl" runat="server" IsNew="true" IsBillingAddress="false" />
            </div>
            <div class="clear">
            </div>
            <div class="Button">
                <asp:Button runat="server" ID="btnNextStep" Text="Next" OnClick="btnNextStep_Click" SkinID="NewAddressNextStepButton"/>
            </div>
        </div>
        <div class="clear">
        </div>
        <div class="OrderSummaryTitle">
            OrderSummary
        </div>
        <div class="clear">
        </div>
        <div class="OrderSummaryBody">
        </div>
    </div>
</div>
