<%@ Control Language="c#" Codebehind="AdditionalLinks.ascx.cs" Inherits="DNNMasters.CB.Store.UI.StoreSettingsControls.AdditionalLinks" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table>
    <tr>
        <td>
            <dnn:Label ID="lblSalesAgreementUrl" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblSalesAgreementUrl" />
        </td>
        <td>
            <asp:TextBox ID="_txtSalesAgreementUrl" runat="server" CssClass="NormalTextBox" MaxLength="255" Width="350px"></asp:TextBox>
            <asp:RegularExpressionValidator ID="regUrl" 
               runat="server" 
               ControlToValidate="_txtSalesAgreementUrl" 
               ValidationExpression="^(ht|f)tp(s?)\:\/\/[0-9a-zA-Z]([-.\w]*[0-9a-zA-Z])*(:(0-9)*)*(\/?)([a-zA-Z0-9\-\.\?\,\'\/\\\+&amp;%\$#_]*)?$"
               Text="Enter a valid URL" />
        </td>    
    </tr>
    <tr>
        <td>
            <dnn:Label ID="lblLicenseConditionsUrl" CssClass="Normal" ControlName="" Suffix=":" runat="server" ResourceKey="lblLicenseConditionsUrl" />
        </td>
        <td>
            <asp:TextBox ID="_txtLicenseConditionsUrl" runat="server" CssClass="NormalTextBox" MaxLength="235" Width="350px"></asp:TextBox>
            <asp:RegularExpressionValidator ID="RegularExpressionValidator1" 
               runat="server" 
               ControlToValidate="_txtLicenseConditionsUrl" 
               ValidationExpression="^(ht|f)tp(s?)\:\/\/[0-9a-zA-Z]([-.\w]*[0-9a-zA-Z])*(:(0-9)*)*(\/?)([a-zA-Z0-9\-\.\?\,\'\/\\\+&amp;%\$#_]*)?$"
               Text="Enter a valid URL" />
        </td>    
    </tr>    
</table>
<asp:LinkButton ID="_lnkUpdate" runat="server">Update</asp:LinkButton>&nbsp;&nbsp;&nbsp;
<asp:LinkButton ID="_lnkCancel" runat="server" Visible="false">Cancel</asp:LinkButton>

