<%@ Control Language="c#" Codebehind="CB_ArticleProductLMApplications.ascx.cs" Inherits="DNNMasters.ContentBuilder.UserControls.CB_ArticleProductLMApplications" TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<table align="center" style="width:600px">
    <tr>
        <td>
            <asp:LinkButton ID="_btnCreateLMApp" runat="server" CssClass="CommandButton" />
        </td>
    </tr>
    <tr>
        <td>
            <asp:Panel ID="_pnlCreateEditLMApp" runat="server" Visible="false">
                <dnn:label id="lblCreateEditLMApp" suffix=":" runat="server" CssClass="Normal" resource="lblCreateEditLMApp" />            
                <table width="550px">
                    <tr>
                        <td class="Normal"><dnn:label id="lblLMAppName" suffix=":" runat="server" CssClass="Normal" resource="lblLMAppName" /></td>
                        <td nowrap>
                            <asp:DropDownList ID="_ddlLMApps" runat="server" CssClass="NormalTextBox">
                            </asp:DropDownList>
                        </td>
                    </tr>
                </table>
                <asp:Label ID="_lblInvalidLMApp" runat="server" CssClass="Normal" ForeColor="Red" Visible="false" />
                <table>
                    <tr>
                        <td><asp:LinkButton ID="_btnCancel" runat="server" CssClass="CommandButton" />&nbsp;</td>
                        <td><asp:LinkButton ID="_btnSave" runat="server" CssClass="CommandButton" ValidationGroup="grpPrice" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            <asp:GridView ID="_grdList" runat="server" AutoGenerateColumns="false" DataKeyNames="LMAppId" CssClass="Qnn_Grid"
                HeaderStyle-CssClass="Qnn_GridHeader" Width="550px" PageSize="40" AllowPaging="true">
                <Columns>
                    <asp:BoundField DataField="LMAppId" HeaderText="Number" Visible="false" />
                    <asp:BoundField DataField="ApplicationName" HeaderText="Application Name" />
                    
                    <asp:TemplateField HeaderText="Action">
                        <ItemTemplate>
                            <asp:LinkButton ID="lnkEdit" runat="server" CommandName="EditLMApp" Text="Edit"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"LMAppId").ToString() %>' />&nbsp;&nbsp;&nbsp;
                            <asp:LinkButton ID="lnkDelete" runat="server" CommandName="DeleteLMApp" Text="Delete"
                                CommandArgument='<%# DataBinder.Eval(Container.DataItem,"LMAppId").ToString() %>' />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
</table>

