<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_RelatedArticles.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.UserControls.CB_RelatedArticles" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>

<asp:Panel ID="_pnlRelatedArticles" runat="server">


    <table>
        <tr>
            <td>
                <asp:GridView ID="_gdvArticles" runat="server" AutoGenerateColumns="false" ShowHeader="true"
                    AllowPaging="true" Width="800px" BorderStyle="None" GridLines="None" PageSize="10" PagerSettings-Position="TopAndBottom">
                    <Columns>
                        <asp:TemplateField ItemStyle-BorderStyle="None" >
                            <ItemTemplate>
                                <table>
                                    <tr>
                                        <td ><asp:Label ID="lblTitle" runat="server" Text='<%# Server.HtmlDecode(DataBinder.Eval(Container.DataItem, "Title").ToString()) %>' CssClass="art-title"></asp:Label><br />
                                        <asp:Image ID="imgThumbnail" runat="server" Visible='<%# SetImageVisible(DataBinder.Eval(Container.DataItem, "Image").ToString()) %>' ImageUrl='<%# ReturnImagePath(DataBinder.Eval(Container.DataItem, "Image").ToString()) %>'/><asp:Label ID="Label1" runat="server" Text='<%# Server.HtmlDecode(DataBinder.Eval(Container.DataItem, "Description").ToString()) %>' CssClass="small-desc"></asp:Label>
                                        <a href='<%# ReturnArticleViewUrl(DataBinder.Eval(Container.DataItem, "ArticleID").ToString())%>' class="read-more"><asp:Label ID="Label2" runat="server" Text='<%# ReturnReadMoreLocalization() %>' CssClass="read-more" ></asp:Label></a>
                                                        </td>
                                    </tr>
                                    
                                </table>
                            </ItemTemplate>
                            <ItemStyle Width="100%" VerticalAlign="Top" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td>
                <asp:GridView ID="_gdvExternalContent" runat="server" AutoGenerateColumns="false" ShowHeader="false"
                    AllowPaging="true" Width="800px" BorderStyle="None" GridLines="None">
                    <Columns>
                        <asp:TemplateField ItemStyle-BorderStyle="None" >
                            <ItemTemplate>
                                <table>
                                    <tr>
                                        <td ><asp:Label ID="lblTitle" runat="server" Text='<%# Server.HtmlDecode(DataBinder.Eval(Container.DataItem, "Title").ToString()) %>' CssClass="art-title"></asp:Label><br />
                                        <asp:Image ID="imgThumbnail" runat="server" Visible='<%# SetImageVisible(DataBinder.Eval(Container.DataItem, "Image").ToString()) %>' ImageUrl='<%# ReturnImagePath(DataBinder.Eval(Container.DataItem, "Image").ToString()) %>'/>
                                        <asp:Label ID="Label1" runat="server" Text='<%# Server.HtmlDecode(DataBinder.Eval(Container.DataItem, "Description").ToString()) %>' CssClass="small-desc"></asp:Label>
                                        <a href='<%# DataBinder.Eval(Container.DataItem, "Url").ToString()%>' class="read-more"><asp:Label ID="Label2" runat="server" Text='<%# ReturnReadMoreLocalization() %>' CssClass="read-more" ></asp:Label></a>
                                                        </td>
                                    </tr>
                                    
                                </table>
                            </ItemTemplate>
                            <ItemStyle Width="100%" VerticalAlign="Top" />
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
    </table>
    
</asp:Panel>
<asp:Panel ID="_pnlTelatedTemplates" runat="server">
<asp:Literal ID="_litRelatedArticles" runat="server"></asp:Literal>
<br />
<asp:Literal ID="_litRelatedContent" runat="server"></asp:Literal>
</asp:Panel>


