<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="CB_TemplatesAddContentEdit.ascx.cs"
    Inherits="DNNMasters.ContentBuilder.CB_TemplatesAddContentEdit" TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="SectionHead" Src="~/controls/SectionHeadControl.ascx" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="componentart" Namespace="DNNMasters.CB.ComponentArt.Web.UI"
    Assembly="DNNMasters.CB.ComponentArt.Web.UI" %>
<table border="0" style="width: 100%">
    <tr>
        <td>
            <dnn:sectionhead id="dshMain" runat="server" resourcekey="dshMain" cssclass="Head"
                section="tblMain" IsExpanded="True" IncludeRule="true">
            </dnn:sectionhead>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" CssClass="NormalRed" />
            <table id="tblMain" class="Head" runat="server">
                <tr>
                    <td class="SubHead" style="width: 150px;">
                        <dnn:label id="lblTemplateName" resource="lblTemplateName" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td>
                        <asp:TextBox ID="txtTemplateName" runat="server" MaxLength="20" Width="250px" CssClass="NormalTextBox"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="reqTemplateName" runat="server" CssClass="NormalRed"
                            ErrorMessage="*" ControlToValidate="txtTemplateName"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td class="SubHead" valign="top">
                        <dnn:label id="lblDescTemplate" resource="ExcludeRoles" controlname="" suffix=":"
                            runat="server">
                        </dnn:label>
                    </td>
                    <td colspan="3">
                        <asp:TextBox ID="txtDescTemplate" runat="server" Height="80px" TextMode="MultiLine"
                            Width="461px" MaxLength="250" CssClass="NormalTextBox"></asp:TextBox>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
<table border="0" style="width: 100%">
    <tr>
        <td>
            <dnn:sectionhead id="dshDetails" runat="server" resourcekey="dshDetails" cssclass="Head"
                section="tblDetails" IsExpanded="True" IncludeRule="True">
            </dnn:sectionhead>
            <table id="tblDetails" class="Head" runat="server">
                <tr>
                    <td valign="top">
                        <table>
                            <tr>
                                <td class="SubHead" style="width: 150px;">
                                    <dnn:label id="lblTabs" resource="lblTabs" controlname="" suffix="" runat="server">
                                    </dnn:label>
                                </td>
                            </tr>
                            <tr>
                                <td style="vertical-align: top;">
                                    <table cellspacing="1" cellpadding="1" width="100%" border="0">
                                        <tr>
                                            <td>
                                                <asp:Image ID="imgAddNewContent" runat="server" AlternateText="" ImageUrl="~/images/add.gif">
                                                </asp:Image><asp:HyperLink ID="cmdAddNewTab" runat="server" CssClass="Normal" resourcekey="cmdAddNewTab"></asp:HyperLink>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <asp:GridView ID="dtgTabsList" runat="server" Width="450px" AllowPaging="False" AutoGenerateColumns="False"
                                                    BorderColor="#999999" BorderStyle="None" BorderWidth="1px" BackColor="White"
                                                    CellPadding="1" GridLines="Vertical" HorizontalAlign="Left" CssClass="dnnm_Grid"
                                                    HeaderStyle-CssClass="dnnm_GridHeader">
                                                    <FooterStyle ForeColor="Black" BackColor="#CCCCCC"></FooterStyle>
                                                    <HeaderStyle ForeColor="White" Font-Size="X-Small" Font-Names="Tahoma" Font-Bold="True"
                                                        HorizontalAlign="Center" BackColor="#000084"></HeaderStyle>
                                                    <Columns>
                                                        <asp:TemplateField HeaderText="Edit">
                                                            <HeaderStyle Width="25px"></HeaderStyle>
                                                            <ItemStyle HorizontalAlign="Center"></ItemStyle>
                                                            <ItemTemplate>
                                                                <asp:HyperLink ID="Hyperlink2" runat="server" NavigateUrl='<%# TabEditURL( DataBinder.Eval( Container.DataItem,"Guid").ToString() ) %>'>
                                                                    <asp:Image runat="server" AlternateText="Edit Tab" ID="imgEdit" ImageUrl="~/images/edit.gif"
                                                                        Visible='<%# IsVisible(  DataBinder.Eval( Container.DataItem,"Guid").ToString() ) %>'>
                                                                    </asp:Image>
                                                                </asp:HyperLink>
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:BoundField DataField="name" HeaderText="Tab name">
                                                            <HeaderStyle Font-Size="X-Small" Font-Names="Tahoma" Font-Bold="True" HorizontalAlign="Center">
                                                            </HeaderStyle>
                                                        </asp:BoundField>
                                                        <asp:TemplateField HeaderText="Move Up">
                                                            <HeaderStyle Width="85px"></HeaderStyle>
                                                            <ItemStyle HorizontalAlign="Center"></ItemStyle>
                                                            <ItemTemplate>
                                                                <asp:ImageButton ID="btnMoveUp" CommandArgument='<%# DataBinder.Eval( Container.DataItem,"Guid").ToString() %>'
                                                                    CommandName="MoveUpTab" runat="server" ImageUrl="~/images/action_up.gif" CausesValidation="false"
                                                                    Visible='<%# IsVisibleMoveUp(  DataBinder.Eval( Container.DataItem,"Guid").ToString() ) %>' />
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Move down">
                                                            <HeaderStyle Width="85px"></HeaderStyle>
                                                            <ItemStyle HorizontalAlign="Center"></ItemStyle>
                                                            <ItemTemplate>
                                                                <asp:ImageButton ID="btnMoveDown" CommandArgument='<%# DataBinder.Eval( Container.DataItem,"Guid").ToString() %>'
                                                                    CommandName="MoveDownTab" runat="server" ImageUrl="~/images/action_down.gif"
                                                                    CausesValidation="false" Visible='<%# IsVisibleMoveDown(  DataBinder.Eval( Container.DataItem,"Guid").ToString() ) %>' />
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                        <asp:TemplateField HeaderText="Delete">
                                                            <HeaderStyle Width="50px"></HeaderStyle>
                                                            <ItemStyle HorizontalAlign="Center"></ItemStyle>
                                                            <ItemTemplate>
                                                                <asp:ImageButton ID="btnDelete" CommandArgument='<%# DataBinder.Eval( Container.DataItem,"Guid").ToString() %>'
                                                                    CommandName="DeleteTab" runat="server" ImageUrl="~/images/delete.gif" CausesValidation="false"
                                                                    Visible='<%# IsVisible(  DataBinder.Eval( Container.DataItem,"Guid").ToString() ) %>' />
                                                            </ItemTemplate>
                                                        </asp:TemplateField>
                                                    </Columns>
                                                </asp:GridView>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <table border="0" style="width: 100%">
                <tr>
                    <td>
                        <dnn:sectionhead id="_dshRoles" runat="server" resourcekey="_dshRoles" cssclass="Head"
                            section="tblMain" IsExpanded="True" IncludeRule="true">
                        </dnn:sectionhead>
                        <table border="0">
                            <tr>
                                <td class="SubHead" valign="middle">
                                    <dnn:label id="lblPortals" controlname="" suffix=":" runat="server">
                                    </dnn:label>
                                </td>
                            </tr>
                            <tr>
                                <td valign="middle">
                                    <asp:DropDownList ID="_ddlPortals" Width="250px" runat="server" CssClass="NormalTextBox"
                                        AutoPostBack="True">
                                    </asp:DropDownList>
                                </td>
                            </tr>
                        </table>
                        <table>
                            <tr>
                                <td class="SubHead" align="left" valign="middle">
                                    <dnn:label id="lblRolesFortemplate" controlname="" suffix=":" runat="server">
                                    </dnn:label>
                                </td>
                                <td valign="top">
                                    <asp:ListBox ID="_lbxRolesFortemplate" Width="250px" runat="server" CssClass="NormalTextBox"
                                        SelectionMode="Multiple"></asp:ListBox>
                                    <asp:RequiredFieldValidator ID="_reqRolesFortemplate" runat="server" CssClass="NormalRed"
                                        ErrorMessage="Select role" ControlToValidate="_lbxRolesFortemplate" Text="Select role"></asp:RequiredFieldValidator>
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td style="height: 21px">
            <asp:LinkButton ID="cmdUpdate" CssClass="CommandButton" runat="server" resourcekey="cmdUpdate"></asp:LinkButton>&nbsp;
            <asp:LinkButton ID="cmdDelete" CssClass="CommandButton" runat="server" resourcekey="cmdDelete"
                CausesValidation="False"></asp:LinkButton>&nbsp;
            <asp:LinkButton ID="cmdCancel" CssClass="CommandButton" runat="server" resourcekey="cmdCancel"
                CausesValidation="False"></asp:LinkButton>
        </td>
    </tr>
</table>
