<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:asp="remove">
<xsl:output cdata-section-elements="Body"/>
    <xsl:template match="/ROOT/row">
        <Style>
        #main_content {
        /*background-color:#FF0;*/
        width:auto;
        margin-left:auto;
        margin-right:auto;
        height:auto;
        }

        #left_container {
        /*background-color:#F00;*/
        width:70%;
        float:left;
        height:auto;
        }

        #right_container {
        /*background-color:#0F0;*/
        width:30%;
        float:right;
        height:auto;
        
        }
    </Style>
        <div id="main_content">

            <div id="left_container">
                <p>
                    <xsl:if test="@Title!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:bold; ">
                            <xsl:value-of select="@Title" />
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                    <xsl:if test="@ImageUrl!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:bold; ">
                            <img>
                                <xsl:attribute name="src">
                                    <xsl:value-of select="@ImageUrl"/>
                                </xsl:attribute>
                                <xsl:attribute name="border">0</xsl:attribute>
                            </img>
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                </p>
            </div>
            <div id="right_container">
                <!--<p>
                    <xsl:if test="@ProductSKU!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:normal; ">
                            <strong>Product SKU: </strong>
                            <xsl:value-of select="@ProductSKU" />
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                    <xsl:if test="@Price!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:normal; ">
                            <strong>Price:</strong> $<xsl:value-of select="@Price" />
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                    <xsl:if test="@SalePrice!=''">
                        <span style="font-family:Tahoma, Arial, Helvetica; font-size:16; font-weight:normal; ">
                            <strong>Sale Price:</strong> $<xsl:value-of select="@SalePrice" />
                        </span>
                        <br />
                        <br />
                    </xsl:if>
                </p>-->
            </div>
        </div>
        <div style="width:auto;margin-left:auto; margin-right:auto;height:auto; ">
            <p>
            <!--<xsl:if test="@LastUpdated!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">Date: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@LastUpdated" />
                </span>
                <br />
            </xsl:if>-->
            <xsl:if test="@AuthorDescription!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:10; font-style:normal; "> Author: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:10; font-style:normal; ">
                    <xsl:value-of select="@AuthorDescription" disable-output-escaping="yes" />
                </span>
                <br/>
            </xsl:if>

            <xsl:if test="@MagazineDescription!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Magazine: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@MagazineDescription" />
                </span>
                <br/>
            </xsl:if>

            <xsl:if test="@EditorNote!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Editor note: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@EditorNote" />
                </span>
                <br/>
            </xsl:if>

            <!-- VISITED -->
            <xsl:if test="@Visited!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Number of Views: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@Visited" />
                </span>
                <br/>
            </xsl:if>

            <!-- RATE -->
            <xsl:if test="@Rate!=''">
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; ">Rating: </span>
                <span style="font-family:Tahoma, Arial, Helvetica; font-size:11; font-style:normal; ">
                    <xsl:value-of select="@Rate" />
                </span>
                <br/>
            </xsl:if>
            </p>
        </div>
        
    </xsl:template>
</xsl:stylesheet>    
